<%@page import="java.util.List, com.synametrics.syncrify.bean.*"%>
<%@ include file="Header.jsp" %>

<style>
.crossedOut{
    text-decoration:line-through; 
    color:#AAAAAA;
}
</style>
    
<div class="content-heading">Remote Clients
<%@ include file="Breadcrumbs.jsp" %>

</div>
<div class="row">   

    
<%
String statCode = (String) request.getAttribute("statCode");
if(statCode == null){
%>
<div class="<%=mainBodyColClass%>">




                     
                     
  <!-- START panel-->
  <div  class="panel panel-default">
     <div class="panel-heading">This page display clients connecting to this server. </div>
     <div class="panel-body">
     	<p>Consider the following possible reasons if you do not see a client in this list:</p>
     	<p>
        <ul>
            <li>&nbsp;&nbsp;&nbsp;&nbsp;<i class="fa fa-caret-right"></i>&nbsp; Syncrify client is older than build 657. Try upgrading the client.</li>
            <li>&nbsp;&nbsp;&nbsp;&nbsp;<i class="fa fa-caret-right"></i>&nbsp; The client cannot see the server due to some network problem</li>
            <li>&nbsp;&nbsp;&nbsp;&nbsp;<i class="fa fa-caret-right"></i>&nbsp; Client service is not running</li>
            <li>&nbsp;&nbsp;&nbsp;&nbsp;<i class="fa fa-caret-right"></i>&nbsp; A row is <span class="crossedOut">crossed out</span> if remote controlling is disabled on the client.</li>
        </ul> </p>
     </div>
  </div>
  <!-- END panel-->
</div>

<% 
}else if(statCode.equals("1")){
%>
<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div  class="panel panel-success">
     <div class="panel-heading">Request submitted</div>
     <div class="panel-body">
        A request has been submitted to run backup. It may take up to a minute for the backup to actually start. 	
     </div>
  </div>
  <!-- END panel-->
</div>     
<%
}else if(statCode.equals("-1")){
%>
<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div  class="panel panel-danger">
     <div class="panel-heading">Error</div>
     <div class="panel-body">
        <%=request.getAttribute("errorMsg") %> 	
     </div>
  </div>
  <!-- END panel-->
</div>    
<%
}else if(statCode.equals("-2")){
%>
<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div  class="panel panel-danger">
     <div class="panel-heading">Error</div>
     <div class="panel-body">
        <%=request.getAttribute("errorMsg") %> 	
     </div>
  </div>
  <!-- END panel-->
</div> 	
<%
}else if(statCode.equals("2")){
%>
<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div  class="panel panel-success">
     <div class="panel-heading">Request submitted</div>
     <div class="panel-body">
        A request has been submitted to decommission the client. It could take up to 60 seconds for this to take affect.	
     </div>
  </div>
  <!-- END panel-->
</div>
<%
}
%>



<%
List<ActiveClientBean> activeClients = (List<ActiveClientBean>) request.getAttribute("activeClients"); 
%>

<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div  class="panel panel-default">
     <div class="panel-heading">Active Clients <span class="pull-right"><i class="fa fa-th-list"></i> Total Clients: <b><%=activeClients.size() %></b></span></div>
     <div class="panel-body">
       <div class="table-responsive">
           <table class="table table-hover">
              <thead>
                 <tr>
                    <th>User ID</th><th>Host name</th><th>Build</th><th>IP Address</th><th>Running since</th><th>Action</th>
                 </tr>
              </thead>
              <tbody>
                 <%
                if(activeClients.size() > 0){
                    for(int i = 0; i < activeClients.size(); i++){
                        ActiveClientBean oneBean = activeClients.get(i);
                    %>
                        <tr>
                            <% if(oneBean.isEnabled()){ %>
                                <td><%=oneBean.getUserIdOrName() %></td> 
                                <td><a href="app?operation=ac&st=dcomm&cpk=<%=oneBean.getClientPK() %>"><img src="images/delete.gif" title="Decommission client machine" /></a> <%=oneBean.getClientHostName() %></td>
                                <td><%=oneBean.getClientBuildNumber() %></td>
                                <td><%=oneBean.getClientIP() %></td>
                                <td><%=oneBean.getClientRunningSinceAsString() %></td>
                                <td>
                                <a class="label label-primary" href="app?operation=ac&st=details&cpk=<%=oneBean.getClientPK() %>">Details</a>
                                <% if(oneBean.isAdministrationAllowed()){ %>
                                    | <a class="label label-primary" href="app?operation=ac&st=adm&cpk=<%=oneBean.getClientPK() %>">Administer</a>
                                <% } %>
                                </td>
                            <% }else{ %>
                                <td class="crossedOut"><%=oneBean.getClientHostName() %></td>
                                <td class="crossedOut"><%=oneBean.getClientIP() %></td>
                                <td class="crossedOut">Unknown</td>
                                <td class="crossedOut">Disabled</td>
                                <%
                            }
                            %>
                        </tr>
                    <%
                    }
                }else{
                    %>
                    <tr><td colspan="5">No active clients found</td></tr>
                    <%
                }
                %>
              </tbody>
           </table>
        </div>
     </div>
  </div>
  <!-- END panel-->
</div>
                     
<%@ include file="Footer.jsp" %>