<%@page import="java.util.List, com.synametrics.syncrify.bean.*"%>


<style>
.crossedOut{
    text-decoration:line-through; 
    color:#AAAAAA;
}
</style>
<%
List<ActiveClientBean> activeClients = (List<ActiveClientBean>) request.getAttribute("activeClients"); 
%>

<div  class="panel panel-default">
     <div class="panel-heading">Active Clients <small>(Last update: <%= request.getAttribute("currTime") %>)</small><span class="pull-right"><i class="fa fa-th-list"></i> Total Clients: <b><%=activeClients.size() %></b></span></div>
     <div class="panel-body">
       <div class="table-responsive">
           <table class="table table-hover">
              <thead>
                 <tr>
                    <th>User ID</th><th>Host name</th><th>Build</th><th>IP Address</th><th>Running since</th><th>Action</th>
                 </tr>
              </thead>
              <tbody>
                 <%
                if(activeClients.size() > 0){
                    for(int i = 0; i < activeClients.size(); i++){
                        ActiveClientBean oneBean = activeClients.get(i);
                    %>
                        <tr>
                            <% if(oneBean.isEnabled()){ %>
                                <td><%=oneBean.getUserIdOrName() %></td> 
                                <td><a href="app?operation=ac&st=dcomm&cpk=<%=oneBean.getClientPK() %>"><img src="images/delete.gif" title="Decommission client machine" /></a> <%=oneBean.getClientHostName() %></td>
                                <td><%=oneBean.getClientBuildNumber() %></td>
                                <td><%=oneBean.getClientIP() %></td>
                                <td><%=oneBean.getClientRunningSinceAsString() %></td>
                                <td>
                                <a class="label label-primary" href="app?operation=ac&st=details&cpk=<%=oneBean.getClientPK() %>">Details</a>
                                <% if(oneBean.isAdministrationAllowed()){ %>
                                    | <a class="label label-primary" href="app?operation=ac&st=adm&cpk=<%=oneBean.getClientPK() %>">Administer</a>
                                <% } %>
                                </td>
                            <% }else{ %>
                                <td class="crossedOut"><%=oneBean.getClientHostName() %></td>
                                <td class="crossedOut"><%=oneBean.getClientIP() %></td>
                                <td class="crossedOut">Unknown</td>
                                <td class="crossedOut">Disabled</td>
                                <%
                            }
                            %>
                        </tr>
                    <%
                    }
                }else{
                    %>
                    <tr><td colspan="5">No active clients found</td></tr>
                    <%
                }
                %>
              </tbody>
           </table>
        </div>
     </div>
  </div>