<%@page import="java.util.List, com.synametrics.syncrify.bean.*"%>
<%@ include file="Header.jsp" %>


<%
ActiveClientBean onePing = (ActiveClientBean) request.getAttribute("onePing");
ActiveClientDetailBean details = (ActiveClientDetailBean) request.getAttribute("details");
%>


<div class="content-heading">
		<i class="fa fa-user"></i> Active Client Details<small data-localize="dashboard.UserManagement"></small>
		<%@ include file="Breadcrumbs.jsp" %>
		
	</div>
	<div class="row">
		<div class="<%=mainBodyColClass%>">
		
		




<%
String statCode = (String) request.getAttribute("statCode");
if(statCode == null){

	if(request.getAttribute("errorMsg") != null){
		%>
		<div class="alert alert-danger"><h4>Error</h4><%= request.getAttribute("errorMsg") %></div>
		<%
	}
	if(request.getAttribute("infoMsg") != null){
		%>
		<div class="alert alert-info"><%= request.getAttribute("infoMsg") %></div>
		<%
	}

	
}else if(statCode.equals("1")){
	%><br><br><br>
	<div class="alert alert-success">
	<h4>Request submitted</h4>
	A request has been submitted to run backup. It may take up to a minute for the backup to actually start. <br><br>
	<b>Note: </b>Do not submit another backup request for this client for the next 60 seconds.
	</div> 	
	<%
}else if(statCode.equals("2")){
	%><br><br><br>
	<div class="alert alert-success">
	<h4>Request submitted</h4>
	A request has been submitted. Logs will be sent via email to <b><%=request.getParameter("email") %></b>. It may take up to a minute to get this email. <br><br>
	<b>Note: </b>Do not submit another request for this client for the next 60 seconds.
	</div> 	
	<%
}else if(statCode.equals("3")){
	%><br><br><br>
	<div class="alert alert-success">
	<h4>Request submitted</h4>
	A request has been submitted to run File-Diff report, which could take a long time on a large dataset. An email will be sent to <b><%=request.getParameter("email") %></b>
	once this report is complete. 
	<br><br>
	<b>Note: </b>Do not submit another request for this client for the next 60 seconds.
	</div> 	
	<%
}else if(statCode.equals("-1")){
	%>
	<br><br><br>
	<div class="alert alert-danger">
	<h4>Error</h4>
	<%=request.getAttribute("errorMsg") %>
	</div> 	
	<%
}else if(statCode.equals("-2")){
	%>
	<br><br><br>
	<div class="alert alert-danger">
	<%=request.getAttribute("errorMsg") %>
	</div> 	
	<%
}
%>


		
		
		
		
			<div class="panel panel-primary">
				<div class="panel-heading">Details for: <%=onePing.getClientHostName() %></div>
				<div class="panel-body">
					<div class="row">
						<div class="col-md-7">
							<table class="table table-condensed table-bordered table-hover">
								<tr><th>Host Name:</th><td><%=onePing.getClientHostName() %></td></tr>
								<tr><th>Connection URL:</th><td><%=onePing.getConnectingUrlOnClient() %></td></tr>
								<tr><th>Client IP:</th><td><%=onePing.getClientIP() %></td></tr>
								<tr><th>Build Number:</th><td><%=onePing.getClientBuildNumber() %></td></tr>
								<tr><th>Total Profiles:</th><td><%=details.getPingDetailsForProfile().size() %></td></tr>
								<tr><th>Max Threads:</th><td><%=details.getMaxClientThread() %></td></tr>
								<tr><th>Temp Path:</th><td><%=details.getTempPathOnClient() %></td></tr>
							</table>
						</div>
						<div class="col-md-5">
							<a href="app?operation=ac&st=slog&cpk=<%=onePing.getClientPK() %>" 
								title="Send a request to the client to submit its log files via email."
								onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
								>
							
								<button type="button" class="btn btn-primary" title="Send a request to the client to submit its log files via email."><i class="fa fa-file-text-o"></i> Submit Logs</button></a>
						</div>
					</div>

				</div>
			</div>




			<div class="panel panel-primary">
				<div class="panel-heading"> Available profiles</div>
				<div class="panel-body">
				
				


					<table class="table table-condensed table-bordered">
						<tr>
							<th>Profile name</th>
							<th>Last ran at</th>
							<th>Next run in</th>
							<th>User Id</th>
							<th>Server URL</th>
							<th>Action</th>
						</tr>
						
						<%
						for(int i = 0; i < details.getPingDetailsForProfile().size(); i++){
							Object obj = details.getPingDetailsForProfile().get(i);
					        //PingDataForProfile oneProfile = details.getPingDetailsForProfile().get(i);
					        out.println("<!-- Class Name: " + obj.getClass().getName() + " -->");
					        PingDataForProfile oneProfile = (PingDataForProfile) obj;
							%>
							<tr>
								<td><%=oneProfile.getProfileName() %></td>
								<td><%=oneProfile.getLastRanAsString() %></td>
								<td><%=oneProfile.getNextRunAsString() %></td>
								<td><%=oneProfile.getUid() %></td>
								<td><%=oneProfile.getServerHost() %></td>
								<td>
								
									<%
									if(onePing.getClientBuildNumber() >= 1126){
									%>
									<a href="app?operation=ac&st=configP&cpk=<%=onePing.getClientPK() %>&pn=<%=oneProfile.getProfileName() %>&uid=<%=oneProfile.getUid() %>"
                        			title="Configure Profile"
                        			><i class="fa fa-cogs"> </i></a>
                        			<%
									}else{
										%>
										<span style="color:#DDDDDD;"><i class="fa fa-cogs" title="Client is running an older build. Unable to configure it remotely."> </i></span>
										<%
									}
                        			%>
                        	
                        			&nbsp;&nbsp;
                        			
									<a href="app?operation=ac&st=fr&cpk=<%=onePing.getClientPK() %>&pn=<%=oneProfile.getProfileName() %>" title="Click to run a backup now."><i class="fa fa-play"> </i></a>
									
									&nbsp;&nbsp;
									<%
									if(request.getAttribute("fdip") != null && request.getAttribute("fdip").equals("true")){
										%>
										<span style="color:grey" ><i class="fa fa-copy" title="A report is being created on the client"> </i></span>
										<%
									}else{
										%>
										<a href="app?operation=ac&st=fdr&cpk=<%=onePing.getClientPK() %>&pn=<%=oneProfile.getProfileName() %>" title="Run File-Diff Report."><i class="fa fa-copy"> </i></a>
										<%
									}
									%>
									
									
								
								</td>
							</tr>
							<%
						}
						%>
					</table>
	</div>
	</div>

</div>
<%@ include file="Footer.jsp" %>