<%@ include file="Header.jsp"%>

<div class="content-heading">
		
		<i class="fa fa-user"></i> Branding Syncrify Client
		<small data-localize="dashboard.UserManagement"></small>
		
<%@ include file="Breadcrumbs.jsp" %>
		
	  </div>
	  <div class="row">
		<div class="<%=mainBodyColClass%>">
		  <div class="panel panel-default">
			<div class="panel-heading">Branding Parameters</div>
			<div class="panel-body">

<img class="img-responsive" src="images/branding.jpg" style="Float:right;">


<%
String infoMessage = (String) request.getAttribute("infoMessage");
if(infoMessage != null){
	%>
	<div class="syn_tilegray">
		<%=infoMessage %>
	</div>
	<%
}


String errorMessage = (String) request.getAttribute("errorMsg");
if(errorMessage != null && errorMessage.length() > 0){
	%>
	<p>
	<div class="alert alert-danger"><h4>ERROR</h4><%=errorMessage %></div>
	</p>

	<%
}
%>


<br><br>
<p> A branded version of Syncrify client has been created using the following values.</p>

<p>This version of Syncrify client is available to download when someone clicks the <b>Download client</b>
link on the right hand side of this screen.</p>

<br>
<p>You can recreate a new version of branded Syncrify client at any time.</p>

<br>

<p><b>VERY IMPORTANT: </b>When you create a new installer, it will always use the latest build of Syncrify client
available.</p>

<div class="table-responsive">
	<table class="infoTable table table-hover" width="100%">
		<tr>
			<th>Parameter name</th><th>Value</th>
		</tr>
		<%
		String notSpecified = "<span style='color: #999999'>Not specified</span>";
		%>
		<tr>
			<td>Company name:</td>
			<td><%=request.getAttribute("client.branding.appName") == null ? notSpecified : request.getAttribute("client.branding.appName") %></td>
		</tr>
		<tr>
			<td>Title image:</td>
			<td><%=request.getAttribute("client.branding.image") == null ? notSpecified : request.getAttribute("client.branding.image") %></td>
		</tr>
		<tr>
			<td>Title image right aligned:</td>
			<td><%=request.getAttribute("client.branding.image.rightAlign") == null ? "false" : request.getAttribute("client.branding.image.rightAlign") %></td>
		</tr>

		<tr>
			<td>Background color:</td>
			<td><%=request.getAttribute("client.branding.bkColor") == null ? notSpecified : request.getAttribute("client.branding.bkColor") %></td>
		</tr>

		<tr>
			<td>Server URL:</td>
			<td><%=request.getAttribute("server.url") == null ? notSpecified : request.getAttribute("server.url") %></td>
		</tr>

		<tr>
			<td>Installation folder:</td>
			<td><%=request.getAttribute("installation.folder.name") == null ? notSpecified : request.getAttribute("installation.folder.name") %></td>
		</tr>

		<tr>
			<td>Program group name:</td>
			<td><%=request.getAttribute("installation.pg.name") == null ? notSpecified : request.getAttribute("installation.pg.name") %></td>
		</tr>


		<tr>
			<td>Language:</td>
			<td><%=request.getAttribute("language") == null ? "System default" : request.getAttribute("language") %></td>
		</tr>


		<tr>
			<td>Locked client:</td>
			<td><%=request.getAttribute("server.url.readonly") == null ? "false" : request.getAttribute("server.url.readonly") %></td>
		</tr>

		<tr>
			<td>Hide profiles:</td>
			<td><%=request.getAttribute("allow.profile.creation") == null ? "false" : request.getAttribute("allow.profile.creation") %></td>
		</tr>

		<tr>
			<td>Delete files:</td>
			<td><%=request.getAttribute("delete.files.from.server") == null ? "true" : request.getAttribute("delete.files.from.server") %></td>
		</tr>

		<tr>
			<td>Use compression:</td>
			<td><%=request.getAttribute("compress.data") == null ? "true" : request.getAttribute("compress.data") %></td>
		</tr>

		<tr>
			<td>Send email report:</td>
			<td><%=request.getAttribute("send.email.report") == null ? "true" : request.getAttribute("send.email.report") %></td>
		</tr>
		<tr>
			<td>Email recipient:</td>
			<td><%=request.getAttribute("send.email.report.recipient") == null ? notSpecified : request.getAttribute("send.email.report.recipient") %></td>
		</tr>

		<tr>
			<td>Master Password:</td>
			<td><%=request.getAttribute("client.branding.masterpwd") == null ? notSpecified : request.getAttribute("client.branding.masterpwd") %></td>
		</tr>

		<tr>
			<td>Hide advanced tab:</td>
			<td><%=request.getAttribute("hide.advanced.options") == null ? "false" : request.getAttribute("hide.advanced.options") %></td>
		</tr>

		<tr>
			<td>Shared Profiles:</td>
			<td><%=request.getAttribute("allow.profile.creation") == null ? "true" : request.getAttribute("allow.profile.creation") %></td>
		</tr>

		<tr>
			<td>Hide encryption:</td>
			<td><%=request.getAttribute("hide.encryption.options") == null ? "false" : request.getAttribute("hide.encryption.options") %></td>
		</tr>
		<tr>
			<td>Enable versioning:</td>
			<td><%=request.getAttribute("enable.versioning") == null ? "false" : request.getAttribute("enable.versioning") %></td>
		</tr>
		<!--
		<tr>
			<td>Two-way sync:</td>
			<td><%=request.getAttribute("enable.twoway.sync") == null ? "false" : request.getAttribute("enable.twoway.sync") %></td>
		</tr> -->

		<tr>
			<td>Direction:</td>
			<td><%
				String dirString;
				if(request.getAttribute("backup.direction") == null) dirString = "Client to Server";
				else if(request.getAttribute("backup.direction").equals("0")) dirString = "Client to Server";
				else if(request.getAttribute("backup.direction").equals("1")) dirString = "Two-way Sync";
				else if(request.getAttribute("backup.direction").equals("2")) dirString = "Server to Client";
				else dirString = "Client to Server";
				out.print(dirString);

				%></td>
		</tr>

		<tr>
			<td>Backup locked files:</td>
			<td><%=request.getAttribute("enable.vss") == null ? "false" : request.getAttribute("enable.vss") %></td>
		</tr>
		<tr>
			<td>Site root:</td>
			<td><%=request.getAttribute("site.root.url") == null ? notSpecified : request.getAttribute("site.root.url") %></td>
		</tr>
		<tr>
			<td>About URL:</td>
			<td><%=request.getAttribute("site.about.url") == null ? notSpecified : request.getAttribute("site.about.url") %></td>
		</tr>
		<tr>
			<td>Help URL:</td>
			<td><%=request.getAttribute("site.help.url") == null ? notSpecified : request.getAttribute("site.help.url") %></td>
		</tr>


	</table>
</div>

<br><br>
<center>
<div class="syn_tilegray" style="width:300px">
	<a href="app?operation=cbrand&overwrite=true" title="Click here to create another installer" style="font-size: 1.5em;">Recreate Installer</a>
</div>
</center>
</div>
</div>
</div>


<%@ include file="Footer.jsp"%>
