<%@page import="java.util.List, com.synametrics.syncrify.bean.*"%>
<%@ include file="Header.jsp" %>



<div class="content-heading">
   <%@ include file="ConfigButtons.jsp" %>
   <i class="fa fa-cogs"></i> Customize Subjects
   <small data-localize="dashboard.Configuration"></small>
   <%@ include file="Breadcrumbs.jsp" %>
   
</div>


<%
String infoMessage = (String) request.getAttribute("infoMessage");
if(infoMessage != null){
%>

  <!-- START panel-->
  <div  class="panel panel-danger">
     <div class="panel-heading">Information</div>
     <div class="panel-body">
        <%=infoMessage %>
     </div>
  </div>
  <!-- END panel-->

<%    
}
%>  




<div class="row">
<div class="<%=mainBodyColClass%>">

  


  <div class="panel panel-default">
    <div class="panel-heading">Custom Email Subjects</div>
     <div class="panel-body">
         
         <div>
			 <p>Once a backup is over, Syncrify generates a report containing a list of files that are backed up. You can customize the subject line of those emails using this screen. </p>
				<p>There are three types of subjects:</p>
				<ul class="syn">
				    <li>-- Backup runs successfully without any errors</li>
				    <li>-- Backup runs with at least one error</li>
				    <li>-- Backup fails</li>
				</ul> 
  
         </div>
         

         
         <div class="well">
         	<h4>Parameters</h4>
             <p>Following parameters can be used when specifying a subject. The actual values will be replaced at runtime.</p>
             <div class="table-responsive">
                <table class="table table-hover">
                     <tr><th>##PROFILE_NAME##</th><td>Profile name</td></tr>
                     <tr><th>##IP_ADDRESS##</th><td>Machine's IP address</td></tr>
                     <tr><th>##ALL_IP_ADDRESS##</th><td>Use this if machines has multiple IP addresses</td></tr>
                     <tr><th>##HOST_NAME##</th><td>Host name of the machine</td></tr>
                     <tr><th>##LOGIN##</th><td>Login email used to run backup</td></tr>
                </table>
             </div>
         </div>
      
        
        <form action="<%=controllerPath%>" method="post" class="form-horizontal">
           <div class="form-group">
              <label for="originalEmail" class="col-lg-3 control-label">Success:</label>
              <div class="col-lg-9">
                 <input type="text" name="emailSubject4Success" id="emailSubject4Success" value="<%=request.getAttribute("emailSubject4Success") %>" placeholder="Success" class="form-control">
                <span class="help-block m-b-none">Text for subject when backup succeeds.</span>
              </div>
           </div>
           <div class="form-group">
              <label for="forwardTo" class="col-lg-3 control-label">Success w/Errors:</label>
              <div class="col-lg-9">
                 <input type="text" name="emailSubject4SuccessWithAtLeastOneError" id="emailSubject4SuccessWithAtLeastOneError" value="<%=request.getAttribute("emailSubject4SuccessWithAtLeastOneError") %>" placeholder="Success w/Errors" class="form-control">
                <span class="help-block m-b-none">Text for subject when backup succeeds with at least one error.</span>
              </div>
           </div> 
            <div class="form-group">
              <label for="originalEmail" class="col-lg-3 control-label">Failure:</label>
              <div class="col-lg-9">
                 <input type="text" name="emailSubject4Failure" id="emailSubject4Failure" value="<%=request.getAttribute("emailSubject4Failure") %>" placeholder="Failure" class="form-control">
                <span class="help-block m-b-none">Text for subject when backup fails.</span>
              </div>
           </div>
           <div class="form-group">
              <div class="col-lg-offset-3 col-lg-9">
                 <button type="submit" class="btn btn-sm btn-primary">Save &raquo;</button>
              </div>
           </div>
            <input type="hidden" name="operation" value="ces">
        </form>
        
    </div>
  </div>
</div> 




<%@ include file="Footer.jsp" %>