<%@ include file="Header.jsp" %>



<div class="content-heading">
		<i class="fa fa-user"></i>Database Status<small data-localize="dashboard.UserManagement"></small>
		<%@ include file="Breadcrumbs.jsp" %>
		
	</div>
	<div class="row">
		<div class="<%=mainBodyColClass%>">
		
		
			<H1>Database Status</H1>
			<% 
			String infoMessage = (String) request.getAttribute("infoMessage");
			if(infoMessage != null && infoMessage.length() > 0){
				%><br><br>
			    <div role="alert" class="alert alert-info"><%=infoMessage %></div>
				<%
			}
			%>

			<div class="panel panel-primary">
				<div class="panel-heading">Current Configuration</div>
				<div class="panel-body">

   
					<div class="table-responsive">
					<table class="infoTable table table-hover" width="100%" border="0">
					
					<tr>
					    <td rowspan="9" width="260"><i class="fa fa-cogs" style="font-size: 100px;"></i></td>
					</tr>
					<tr>
						<th align="right">Connected to:</th>
						<td><%= request.getAttribute("rdbmsName") == null ? "Not connected" : request.getAttribute("rdbmsName") %></td>
					</tr>
					
					<tr>
						<th align="right">Host name:</th>
						<td><%= request.getAttribute("dbServerHost") == null ? "N/A" : request.getAttribute("dbServerHost") %></td>
					</tr>
					
					<tr>
						<th align="right">TCP/IP port:</th>
						<td><%= request.getAttribute("dbServerPort") == null ? "N/A" : request.getAttribute("dbServerPort") %></td>
					</tr>
					
					<tr>
						<th align="right">User login:</th>
						<td><%= request.getAttribute("dbUID") == null ? "N/A" : request.getAttribute("dbUID") %></td>
					</tr>
					
					<tr>
						<th align="right">Table name:</th>
						<td><%= request.getAttribute("tableName") == null ? "N/A" : request.getAttribute("tableName") %></td>
					</tr>
					
					<tr>
						<th align="right">User count:</th>
						<td><%= request.getAttribute("totalUsers") == null ? "N/A" : request.getAttribute("totalUsers") %></td>
					</tr>
					
					<tr>
						<th align="right">Total connections:</th>
						<td><%= request.getAttribute("totalConnections") == null ? "N/A" : request.getAttribute("totalConnections") %></td>
					</tr>
					
					<tr>
						<th align="right">In-use connections:</th>
						<td><%= request.getAttribute("inUseConnections") == null ? "N/A" : request.getAttribute("inUseConnections") %></td>
					</tr>
					
					</table>
					</div>

				</div>
			</div>

			<div class="panel panel-success">
				<div class="panel-heading">Switch back to local storage</div>
				<div class="panel-body">
				<form action="<%=controllerPath%>" method="POST" class="form-horizontal">
					<fieldset>
					
					
					<div class="notes">
				        <h4>Local storage</h4>
				        <p class="last">Click this button if you wish to use local storage instead of a relational database.</p>
				    </div>
				       
				     <div class="checkbox c-checkbox">
				        <label for="chkConfirmed">
				        <input type="checkbox" name="chkConfirmed" id="chkConfirmed" value="1" title="Check this box to confirm your intension" >
				        <span class="fa fa-times"></span>Confirm</label>
				        <div class="help-block m-b-none">You must check this box to confirm this operation</div>
				     </div>
				      <button type="submit" class="btn btn-sm btn-primary" name="proceedButton" id="proceedButton" title="Click here to switch back to local storage">Switch to local storage</button>  
					</fieldset>
				
				
				<input type="hidden" name="operation" value="rdbms" />
				<input type="hidden" name="st" value="removeRdbms" />
				
				
				</form>
				</div>
			</div>

		<!-- 
		<a href="app?operation=rdbms&st=removeRdbms" style="font-size:1.4em; font-weight:bold"
			onclick="javascript:return confirm('This operation will configure Syncrify to use local XML files to store user information. Are you sure?')"
		>Remove RDBMS</a><br><small>Click here to use XML files instead of an RDBMS to store user information</small>  
		
		-->
</div> <!-- Mandatory ending -->



<%@ include file="Footer.jsp" %>