<%@ include file="Header.jsp" %>


<!-- 
<form class="form-horizontal" action="<%=controllerPath%>" method="post" >


<%=response.encodeURL("app?operation=manageUsers") %>


 -->
<div class="content-heading">
		<i class="fa fa-user"></i>Disaster Recovery
		<small data-localize="dashboard.UserManagement"></small>
		<%@ include file="Breadcrumbs.jsp" %>
	</div>
	<style>
		#processingDiv{
			display:none;
		}
	</style>
	
	
	<div class="row">
		<div class="<%=mainBodyColClass%>">
			<div class="panel panel-primary">
				<div class="panel-heading"></div>
				<div class="panel-body">


				<p>
				<h2>Manual Synchronization</h2>
				
				<p>
				Disaster Recovery feature allow you to synchronize files between MASTER and SLAVE Syncrify servers. Use this screen to either run a synchronization job
				or find out what is different between the two servers.
				</p>
				
				
				<div class="row">
					<div class="col-md-4">
						<table class="table table-bordered">
							<tr>
								<th>User Login: </th>
								<td><%= request.getParameter("email") %></td>
							</tr>
							
							<tr>
								<th>Profile Name: </th>
								<td><%= request.getParameter("profileName") %></td>
							</tr>
							
						</table>
					</div>
				
				</div>
				
				
				</p>
				<div class="row">
				
					<%
					String anchorUrl = "app?operation=manageUsers&email=" + request.getParameter("email") + "&profileName=" + 
						request.getParameter("profileName") + "&st=";
					%>
					<div class="col-md-3 col-md-offset-3">
						<a href="<%=response.encodeURL(anchorUrl + "drsync") %>"
						title="Submit a request to manually synchronize <%= request.getParameter("profileName") %>"
						>
						<button class="btn btn-primary">Synchronize Profile</button></a>
					</div>
					<div class="col-md-3">
						<a href="<%=response.encodeURL(anchorUrl + "drs") %>" 
						
						title="Run file-diff report between Master and Slave">
						<button class="btn btn-warning" onclick="showProcessing();">File-Diff Report</button></a>
					</div>
				</div>

				<p>
					<div id="processingDiv">
						<div class="alert alert-info">
						<h4>Processing...</h4>
						Running File-diff between MASTER and SLAVE. This could take some time. Do not refresh or close this page.
						</div>
					</div>
				</p>
				
				
				</div>
			</div>
		</div> <!-- Mandatory ending -->

<%@ include file="Footer.jsp" %>



<script>
	function showProcessing(){
		
		$("#processingDiv").css("display", "block");
	}
</script>