<%@page import="com.synametrics.syncrify.bean.*, java.util.List"%>






<%@ include file="Header.jsp" %>


<div class="content-heading">
   <%@ include file="ConfigButtons.jsp" %>
   <i class="fa fa-cogs"></i> Email Aliases
   <small data-localize="dashboard.Configuration"></small>
   <%@ include file="Breadcrumbs.jsp" %>
   
</div>



<div class="row"> 

<%
String errorMsg = (String) request.getAttribute("errorMsg");
if(errorMsg != null){
%>
<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div  class="panel panel-danger">
     <div class="panel-heading">Error</div>
     <div class="panel-body">
        <%=errorMsg %>
     </div>
  </div>
  <!-- END panel-->
</div>    
<%
}
%>

<div class="<%=mainBodyColClass%>">
  <div class="panel panel-default">
    <div class="panel-heading">Email Aliases</div>
     <div class="panel-body">
         <fieldset title="Default Folders">
            <div class="notes">
                <p>Aliases is a convenient way of routing emails reports to a different email address. A login ID in Syncrify is based on an email address, which is also use to send backup reports. </p>
                <p>Often you want to change the recipient of this report to a different value without modifying the profile on a client's machine.</p>
                <p>Using this screen you can alter the recipient of an email to a different value. </p>
            </div>
         </fieldset>     
        <form action="<%=controllerPath%>" method="post" class="form-horizontal">
           <div class="form-group">
              <label for="originalEmail" class="col-lg-3 control-label">Original Email:</label>
              <div class="col-lg-9">
                 <input type="email" name="originalEmail" id="originalEmail" size="15" value="" placeholder="Original Email" class="form-control">
                <span class="help-block m-b-none">Email address and/or login ID of the user.</span>
              </div>
           </div>
           <div class="form-group">
              <label for="forwardTo" class="col-lg-3 control-label">Alias:</label>
              <div class="col-lg-9">
                 <input type="email" name="forwardTo" id="forwardTo" size="15" value="" placeholder="Alias" class="form-control">
                <span class="help-block m-b-none">Email address that should get the reports.</span>
              </div>
           </div>       
           <div class="form-group">
              <div class="col-lg-offset-3 col-lg-9">
                 <button type="submit" class="btn btn-sm btn-primary">Save &raquo;</button>
              </div>
           </div>
            <input type="hidden" name="operation" value="ealias">
            <input type="hidden" name="st" value="a">
        </form>
    </div>
    <div class="panel-heading">Existing Aliases</div>
     <div class="panel-body">
         <%
        List<EmailAliasBean> aliases = (List<EmailAliasBean>) request.getAttribute("aliases");

        String removeOppValue = response.encodeURL("app?operation=ealias&st=r&e=");
        %>
        <div class="table-responsive">
           <table class="table table-hover">
              <thead>
                 <tr>
                    <th>Original Email</th>
                    <th>Alias</th>
                    <th>Action</th>
                 </tr>
              </thead>
              <tbody>
                 <%
                    for(EmailAliasBean oneAlias : aliases){
                        %>
                        <tr>
                            <td><%=oneAlias.getOriginalEmail() %></td>
                            <td><%=oneAlias.getForwardTo() %></td>
                            <td><a class="label label-danger" href="<%=removeOppValue + oneAlias.getOriginalEmail()%>"><i class="icon-trash"></i></a></td>
                        </tr>
                        <%
                    }
                %>  
              </tbody>
           </table>
        </div>
     </div>
  </div>
</div>


<%@ include file="Footer.jsp" %>
