<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<%@page import="com.synametrics.syncrify.bean.JspValidator"%>
<%@page import="com.synametrics.sradef.util.ForJsp"%>

<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" lang="en-US" xml:lang="en-US">

<%
if(! new JspValidator().isGood(request)){
	out.println(JspValidator.getErrorMessage());
	return;
}
%>
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1">

<title>
<%
String currentVersion = com.synametrics.sradef.util.VersionManager.getInstance().getMajorVersion() + "." + 
						com.synametrics.sradef.util.VersionManager.getInstance().getMinorVersion();

String currentFullVersion = com.synametrics.sradef.util.VersionManager.getInstance().getFullVersion();

String selectedTab = (String)request.getAttribute("selectedTab");
String imgPath = com.synametrics.sradef.config.AppConfig.getInstance().getStringValue("imagePath");
String title = (String)request.getAttribute("pageTitle");
String controllerPath = com.synametrics.sradef.config.StaticConfig.getInstance().getControllerPath();

if(System.getProperty("enable.CSRF.prevention", "false").equalsIgnoreCase("true")){
	controllerPath = response.encodeURL(controllerPath);
}

if(title == null){
    out.print(com.synametrics.sradef.config.StaticConfig.getInstance().getApplicationTitle() + " - Version: " + currentFullVersion);
}else{
    out.print(title);
}

if(selectedTab == null){
	selectedTab = "NotLoggedIn";
}

%> 
</title>

<%
String metaDescription = com.synametrics.sradef.config.StaticConfig.getInstance().getApplicationTitle();
String metaKeywords = metaDescription;

if(request.getAttribute("metaDescription") != null){
	metaDescription = (String)request.getAttribute("metaDescription");
}
if(request.getAttribute("metaKeywords") != null){
	metaKeywords = (String)request.getAttribute("metaKeywords");
}



%>

<%= com.synametrics.sradef.config.StaticConfig.getInstance().getBaseTag(request) %>
<meta NAME="Description" CONTENT="<%=metaDescription %>" />
<meta NAME="Keywords" CONTENT="<%=metaKeywords %>" />
<meta http-equiv="X-UA-Compatible" content="IE=10" />

<link rel="Shortcut Icon" href="images/favicon.ico" type="image/x-icon" />
<link rel="stylesheet" href="images/newt.css">
<link rel="stylesheet" href="ContentTheme/vendor/fontawesome/css/font-awesome.min.css">
   <!-- SIMPLE LINE ICONS -->
   <link rel="stylesheet" href="ContentTheme/vendor/simple-line-icons/css/simple-line-icons.css">
   
   
   <!-- ANIMATE.CSS
   <link rel="stylesheet" href="ContentTheme/vendor/animate.css/animate.min.css">
   -->
   
   <!-- WHIRL (spinners)
   <link rel="stylesheet" href="ContentTheme/vendor/whirl/dist/whirl.css">
	-->


   <!-- =============== PAGE VENDOR STYLES ===============-->
   <!-- WEATHER ICONS
   <link rel="stylesheet" href="ContentTheme/vendor/weather-icons/css/weather-icons.min.css">
   -->
   
   
   
   <!-- =============== BOOTSTRAP STYLES ===============-->
   <link rel="stylesheet" href="ContentTheme/css/bootstrap.css" id="bscss">
   <!-- =============== APP STYLES =============== -->
   <link rel="stylesheet" href="ContentTheme/css/app.css" id="maincss">  
   <link rel="stylesheet" href="ContentTheme/css/custom.css" id="maincss">
    
    
    <link rel="stylesheet" type="text/css" title="Blue" href="images/popup.css" />
    <script src="images/popup.js" type="text/javascript"></script>

	<!-- JQUERY-->
   <script src="ContentTheme/vendor/jquery/dist/jquery.js"></script>
   
<%
if(request.getAttribute("showAjaxOpenFileDlg.css") != null){
%>
<link rel="stylesheet" type="text/css" href="images/AjaxOpenFileDlg.css" />
<%
}
%>




<%
if(request.getAttribute("showAjaxFileExplorer.css") != null){
%>
<link rel="stylesheet" type="text/css" href="images/AjaxFileExplorer.css" />
<%
}
%>

	
<%
if(request.getAttribute("showSyncrifyRadmin.css") != null){
%>
<link rel="stylesheet" type="text/css" href="images/SyncrifyRadmin.css" />
<%
}
%>
	
<%
if(request.getAttribute("showTabs.js") != null){
%>
<script src="images/tabs.js" type="text/javascript"></script>

<%
}
%>

	

<script type="text/javascript"><!--//--><![CDATA[//><!--
sfHover = function() {
	if (!document.getElementsByTagName) return false;
	var sfEls = document.getElementById("nav").getElementsByTagName("li");

	for (var i=0; i<sfEls.length; i++) {
		sfEls[i].onmouseover=function() {
			this.className+=" sfhover";
		}
		sfEls[i].onmouseout=function() {
			this.className=this.className.replace(new RegExp(" sfhover\\b"), "");
		}
	}
}
if (window.attachEvent) window.attachEvent("onload", sfHover);
//--><!]]></script>



   <script src="ContentTheme/vendor/jquery/dist/jquery.js"></script>
   
   <script src="ContentTheme/vendor/Chart.js/dist/Chart.js"></script>	
   <script src="ContentTheme/vendor/Chart.js/dist/chartjs-plugin-datalabels.js"></script>	
   

</head>


<%
String contextMenu = "";
if(request.getAttribute("hideContextMenu") != null){
	contextMenu = " oncontextmenu=\"return false;\"";
}

String mainBodyColClass = "col-md-9";
if(request.getAttribute("hideSideBar") != null){
	mainBodyColClass = "col-md-12";
}
%>


<body <%=contextMenu %>>

<!-- <div><a id="top"></a></div> -->


<div class="brandImage" style="display:none;"><%=com.synametrics.syncrify.bean.Brander.getInstance().getTopLeftLogo(true) %></div>
<div class="brandRight" style="display:none"><%=com.synametrics.syncrify.bean.Brander.getInstance().getTopLeftLogo(false) %></div>   



<div class="wrapper">
      <!-- top navbar-->
      <header class="topnavbar-wrapper">
         <!-- START Top Navbar-->
         <nav role="navigation" class="navbar topnavbar">
            <!-- START navbar header-->
            <div class="navbar-header">
               <a href="#/" class="navbar-brand">
                  <div class="brand-logo">
                      
                  </div>
                  <div class="brand-logo-collapsed">
                     
                  </div>
               </a>
            </div>
            <!-- END navbar header-->
            <!-- START Nav wrapper-->
            
            <div class="nav-wrapper">
               <!-- START Left navbar-->
               <ul class="nav navbar-nav sub_head hideOnMobile">
                <li class="sub_head_text">

                </li>
            </ul>
               <ul class="nav navbar-nav">
                  <li>
                     <!-- Button used to collapse the left sidebar. Only visible on tablet and desktops-->
                     <a data-trigger-resize="" data-toggle-state="aside-collapsed" class="hidden-xs">
                        <em class="fa fa-navicon"></em>
                     </a>
                     <!-- Button to show/hide the sidebar on mobile. Visible on mobile only.-->
                     <a data-toggle-state="aside-toggled" data-no-persist="true" class="visible-xs sidebar-toggle">
                        <em class="fa fa-navicon"></em>
                     </a>
                  </li>
               </ul>

			   <%
			   boolean displaySearchBar = request.getAttribute("searchUrl") != null && ((String)request.getAttribute("searchUrl")).trim().length() > 0;
			   %>

               <!-- END Left navbar-->
               <!-- START Right Navbar-->
               <ul class="nav navbar-nav navbar-right">
                  <!-- Search icon-->
                  
                  <%
                  if(displaySearchBar){
                  %>
                  <li>
                     <a data-search-open="">
                        <em class="icon-magnifier"></em>
                     </a>
                  </li>
                  <%
                  }
                  %>
                  <!-- Fullscreen (only desktops)-->
                  <li class="visible-lg">
                     <a data-toggle-fullscreen="">
                        <em class="fa fa-expand"></em>
                     </a>
                  </li>
                   <!-- support icon-->
                  <li>
                     <a href="<%=request.getAttribute("supportUrl") %>" title="Contact Support">
                        <em class="fa fa-support"></em>
                     </a>
                  </li>
                   <!-- company icon-->
                  <li>
                     <a href="<%=request.getAttribute("companyHome") %>" title="About">
                        <em class="fa fa-user-o"></em>
                     </a>
                  </li>
               </ul>
               <!-- END Right Navbar-->
            </div>
            <!-- END Nav wrapper-->
            <!-- START Search form-->
            <form role="search" id="searchform" method="get" action="<%=request.getAttribute("searchUrl") %>" class="navbar-form">
               <div class="form-group has-feedback" style="margin:0 auto;">
                  <input type="text" placeholder="Search for help topics..." name="s" id="searchbox" class="form-control">
                  <div data-search-dismiss="" class="fa fa-times form-control-feedback"></div>
               </div>
               <button type="submit" class="hidden btn btn-default">Search</button>
            </form>
            <!-- END Search form-->
         </nav>
         <!-- END Top Navbar-->
      </header>
    <aside class="aside">
	 <!-- START Sidebar (left)-->
	 <div class="aside-inner">
		<nav data-sidebar-anyclick-close="" class="sidebar">
		   <!-- START sidebar nav-->
		   <ul class="nav">
			  <!-- Iterates over all sidebar items-->
			  <li class="nav-heading">
				 <span data-localize="sidebar.heading.HEADER">Main Navigation</span>
			  </li>
               
			    <%
                if(selectedTab.equalsIgnoreCase("User")){
                %>
                    <%@ include file="UserMenu.jsp" %>
                <%	
                }else if(selectedTab.equalsIgnoreCase("Admin")){
                %>
                    <%@ include file="AdminMenu.jsp" %>	
                <%	
                }else{
                %>
                    <%@ include file="NotLoggedInMenu.jsp" %>	
                <%	
                }
                %>
			  
		   </ul>
		 
		   <%
		   if(selectedTab.equals("Admin")){
			   %>
			   
			   <%
		   }
		   %>
		   <!-- END sidebar nav-->
		</nav>
	 </div>
	 <!-- END Sidebar (left)-->
  </aside>
<!-- Main section-->
  <section>
     <!-- Page content-->
     <div class="content-wrapper">
        
		

