<script type="text/javascript">
    function ShowHideAdDiv() {
        var ldapTypeValue = document.getElementById("ldapType");
        var adDiv = document.getElementById("MSADDiv");
        var genDiv = document.getElementById("GenericDiv");
        
        adDiv.style.display = ldapTypeValue.value == "ad" ? "block" : "none";
        genDiv.style.display = ldapTypeValue.value == "ad" ? "none" : "block";
        
        var txtUNAttr = document.getElementById("unattr");
        var txtUOFilter = document.getElementById("uofilter");
     
        
        if(ldapTypeValue.value == "generic"){
        	if(txtUNAttr.value == ""){
        		txtUNAttr.value = "uid";
        	}
        	
        	if(txtUOFilter.value == ""){
        		txtUOFilter.value = "(objectclass=inetorgperson)";
        	}
        }
    }
</script>



<div class="row">
	<div class="col-md-8">



<form class="form-horizontal" action="<%=controllerPath%>" method="post" >
   <fieldset>
   
   <div class="form-group">
      <div class="col-lg-offset-3 col-lg-9">
         <div class="checkbox c-checkbox">
            <label for="ldapEnabled">
               <input type="checkbox" name="ldapEnabled" id="ldapEnabled" <%=request.getAttribute("ldapEnabled") %> value="1" />
               <span class="fa fa-check"></span>Enable</label>
         </div>
          <span class="help-block m-b-none">If checked, AD/LDAP integration is enabled</b>
          </span>
      </div>
   </div> 
   
   <div class="form-group">
		<label class="col-sm-3 control-label" for="ldapType">Server Type:</label>
		<div class="col-sm-9"> 
		<select name="ldapType" id="ldapType" class="form-control"  onchange = "ShowHideAdDiv()"> 
			<option value="ad" <%= (request.getAttribute("ldapType").equals("ad") ? "selected" : "") %> >MS Active Directory</option>
			<option value="generic" <%= (request.getAttribute("ldapType").equals("generic") ? "selected" : "") %> >Other LDAP Server</option>
		</select>
		<small>Type of LDAP.</small>
		</div>
	</div>
	
	
   
   <div class="form-group">
      <label for="ldapHost" class="col-sm-3 control-label">AD/LDAP Host:</label>
      <div class="col-sm-9">
         <input type="text" placeholder="Host name where your AD is running" name="ldapHost" id="ldapHost" value="<%= request.getAttribute("ldapHost") == null ? "" : request.getAttribute("ldapHost") %>" class="form-control" >
          <span class="help-block m-b-none">Host name/IP address of your Active Directory/LDAP server.</span>
      </div>
   </div>
   
   <div class="form-group">
      <label for="ldapBaseDn" class="col-sm-3 control-label">BaseDN:</label>
      <div class="col-sm-9">
         <input type="text" name="ldapBaseDn" id="ldapBaseDn" value="<%= request.getAttribute("ldapBaseDn") == null ? "" : request.getAttribute("ldapBaseDn") %>" placeholder="BaseDN" class="form-control">
          <span class="help-block m-b-none">BaseDN value for your server.</span>
      </div>
   </div>   
   
   
   <div id="MSADDiv">
	   <div class="form-group">
	      <label for="ldapDomain" class="col-sm-3 control-label">Domain Name:</label>
	      <div class="col-sm-9">
	         <input type="text" name="ldapDomain" id="ldapDomain" value="<%= request.getAttribute("ldapDomain") == null ? "" : request.getAttribute("ldapDomain") %>" placeholder="Active Directory Domain" class="form-control">
	          <span class="help-block m-b-none">Domain name for your Active Directory</span>
	      </div>
	   </div> 
   
   </div>
   
   <div id="GenericDiv">
		<div class="form-group">
			<label for="adDomain" class="col-sm-3 control-label">User Name Attributer:</label>
			<div class="col-sm-9">
				<input type="text" class="form-control" name="unattr" id="unattr" value="<%= request.getAttribute("unattr")  %>" />
		    	<small>The attribute field to use on the user object. Examples: uid, sAMAccountName.</small>
			</div>
		</div>
		
		<div class="form-group">
			<label for="adDomain" class="col-sm-3 control-label">User Name RDN Attributer:</label>
			<div class="col-sm-9">
				<input type="text" class="form-control" name="rdnattr" id="rdnattr" value="<%= request.getAttribute("rdnattr")  %>" />
		    	<small>The RDN to use when loading the user username.Example: cn. . If missing, User Name Attribute will be used</small>
			</div>
		</div>
		
		<div class="form-group">
			<label for="adDomain" class="col-sm-3 control-label">User Object Filter:</label>
			<div class="col-sm-9">
				<input type="text" class="form-control" name="uofilter" id="uofilter" value="<%= request.getAttribute("uofilter")  %>" />
		    	<small>Filter value to use when searching for user objects</small>
			</div>
		</div>
	</div>
	
	
    
   
    
   
   
   </fieldset>
   
   <fieldset>
    <legend>New User Defaults</legend>
    
	 	<div class="form-group">
	      <label for="ldapRepPath" class="col-sm-3 control-label">Repository Path:</label>
	      <div class="col-sm-9">
	         <input placeholder="Default repository path" type="text" name="ldapRepPath" id="ldapRepPath" value="<%= request.getAttribute("ldapRepPath") == null ? "" : request.getAttribute("ldapRepPath") %>" class="form-control">
	          <span class="help-block m-b-none">Repository path for new users.</span>
	      </div>
	   </div>
	   
	   <div class="form-group">
	      <label for="ldapRepPath" class="col-sm-3 control-label">Max versions:</label>
	      <div class="col-sm-9">
	         <input placeholder="Default repository path" type="number" name="ldapMaxVersions" id="ldapMaxVersions" value="<%= request.getAttribute("ldapMaxVersions") == null ? "" : request.getAttribute("ldapMaxVersions") %>" class="form-control">
	          <span class="help-block m-b-none">Maximum versions allowed for a new user.</span>
	      </div>
	   </div>
	   
	   <div class="form-group">
	      <label for="ldapRepPath" class="col-sm-3 control-label">Disk Quota:</label>
	      <div class="col-sm-9">
	         <input placeholder="Default repository path" type="text" name="ldapDQuota" id="ldapDQuota" value="<%= request.getAttribute("ldapDQuota") == null ? "" : request.getAttribute("ldapDQuota") %>" class="form-control">
	          <span class="help-block m-b-none">Disk Quota for new users. A -1 means unlimited.</span>
	      </div>
	   </div>
	   
	   <div class="form-group">
	      <div class="col-lg-offset-3 col-lg-9">
         <div class="checkbox c-checkbox">
            <label for="ldapNotify">
               <input type="checkbox" name="ldapNotify" id="ldapNotify" <%=request.getAttribute("ldapNotify") %> value="1" />
               <span class="fa fa-check"></span>Notify Users</label>
         </div>
          <span class="help-block m-b-none">Notify newly created user via email regarding their account.</b>
          </span>
      </div>
	   </div>
	   
   
   </fieldset>    
   
   
   
    
   <div class="form-group">
      <div class="col-sm-offset-3 col-sm-9">
          <LABEL for="proceedButton">&nbsp;</LABEL>	
         <button type="submit" name="proceedButton" id="proceedButton" class="btn btn-sm btn-primary">Save</button>
      </div>
   </div>
    <input type="hidden" name="operation" value="config" />
    <input type="hidden" name="st" value="saveLdap" />
</form>


</div>
	<div class="col-md-4">
	
	<%
	if(request.getAttribute("ldapEnabled").toString().length() > 0){
		%>
		<button type="button" class="btn btn-warning" data-toggle="modal" data-target="#myModal">Test User</button>
		<%
	}
	%>
	
	</div>
</div>	


<script>
	ShowHideAdDiv();
</script>
	
	
	