<%@ include file="Header.jsp" %>
    
<div class="content-heading">
<%@ include file="ConfigButtons.jsp" %>
<i class="icon-info"></i>  SSL Certificate
<%@ include file="Breadcrumbs.jsp" %>
</div>
<div class="row">
<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div class="panel panel-primary">
     <div class="panel-heading">SSL Certificate with Let's Encrypt</div>
     <div class="panel-body">
        <!-- START table-responsive-->
         





<div class="row">
	<div class="col-md-10 col-md-offset-1">
	
	Create the following TXT record in your DNS server. Confirm these values can be fetched from a machine on the 
	Internet and then click proceed below.
	
	<table class="table table-bordered table-hover">
		<tr><th>DNS Host:</th><td><%= request.getAttribute("dnsHost") %></td></tr>
		<tr><th>Value:</th><td><%= request.getAttribute("dnsValue") %></td></tr>
		<tr><th>TTL:</th><td>Use the smallest value allowed by your DNS provider.</td></tr>
		
	</table>

	<br><br>
	<h4>Usage Tip</h4>
	Use the following command from on any computer to confirm the newly added values are available.
	
	<pre>nslookup -q=txt <%= request.getAttribute("dnsHost") %></pre>
	
	The above command should return:
	<pre><%= request.getAttribute("dnsValue") %></pre>
	
	
	<form action="<%=controllerPath%>" method="post" name="theForm">	
		<br style="clear:both;">
		<!-- ******* Save Button | default is pulled right ******* -->
		<button class="btn btn-sm btn-submit pull-right" type="submit">Proceed</button>
		
		
		<input type="hidden" name="operation" value="synSSL">
		<input type="hidden" name="st" value="dnsAdded">
		
	</form>
				
	</div>
</div>






        <!-- END table-responsive-->
     </div>
  </div>
  <!-- END panel-->
</div>

<%@ include file="Footer.jsp" %>