<%@page import="java.util.*, com.synametrics.syncrify.bean.*"%>
<%@ include file="Header.jsp" %>

<div class="content-heading">Purchase License</div>
<div class="row">  
 <div class="<%=mainBodyColClass%>">
  <div  class="panel panel-primary">
     <div class="panel-heading">Purchase new license</div>  
      <div class="panel-body">
<%
List<CostBean> costBeans = (List) request.getAttribute("costBeans");
String existingLicenseCount = (String)request.getAttribute("existingLicenseCount");

if(existingLicenseCount == null || existingLicenseCount.equals("1") || existingLicenseCount.equals("0")){
	%>
	<p>You are currently running Syncrify in <b>Personal</b> mode.</p>
	<%
}else{
	%>
	<%@ include file="PurchaseAdditionalLicenses.jsp" %>
	<%	
}
%>

    </div>
  </div>
</div> 


<div class="<%=mainBodyColClass%>">
  <div  class="panel panel-default">
      <div class="panel-body">
<%

if(costBeans == null){
	%>
	<h3>Unable to fetch pricing</h3>
	<p>Your system is unable to fetch pricing from Synametrics' web server. This could happen if your this server is not connected
	to the Internet or a firewall is blocking the traffic.</p>
	
    <p>Cost will be displayed on the following page.</p>
	
	<form class="form-horizontal" action="http://web.synametrics.com/SyncrifyPurchase.htm" method="GET">
		<DIV>	
			<LABEL for="proceedButton">&nbsp;</LABEL>
            <button type="submit" name="proceedButton" id="proceedButton" class="btn btn-sm btn-primary">Proceed</button>
            <span class="help-block m-b-none">You will be directed to Synametrics' web site when you click Proceed.</span>
		</DIV>
		
		<input type="hidden" name="esn" value="<%=request.getAttribute("sn")  %>" >
	</form>
	<%
}else{
	%>
	
	<fieldset><legend>Plans</legend>
	<form class="form-horizontal" action="<%=request.getAttribute("purchaseUrl") %>" method="Post">	
    <div class="table-responsive">
	<table class="infoTable table" style="width:100%;">
	
		<tr><th>Package</th><th> </th><th>Savings</th><th>You save</th><th>Final cost</th><th>Quantity</th></tr>
		
		<%
		for(int i = 0; i < costBeans.size(); i++){
			CostBean oneBean = costBeans.get(i);
			
			
			%>
				<tr>
					<td><%=oneBean.getPackageName() %></td>
					<td><%=oneBean.getFormattedHint() %></td>
					<td><%= (oneBean.getDiscount() == 0F) ? "None" : oneBean.getDiscountAsString() %></td>
					<td><%= (oneBean.getDiscount() == 0F) ? "N/A" : oneBean.getSavingsAsString() %></td>
					<td><%=oneBean.getPriceWithDiscountAsString() %></td>
					<td><input type="text" class="form-control" name="<%=oneBean.getCompleteId() %>" title="Enter the number of licenses to purchase" size="3" value="0"></td>
				</tr>
			<%
			
		}
		%>
		
		<tr>
			<td colspan="6">
				<DIV>	
					<LABEL for="proceedButton">&nbsp;</LABEL>
                    <button type="submit" name="proceedButton" id="proceedButton" class="btn btn-sm btn-primary">Proceed</button>
                    <small>You will be directed to Synametrics' web site when you click Proceed.</small>
				</DIV>
			</td>
		</tr>
		
	
		
	</table>
    </div>        
	<input type="hidden" name="iq" value="<%=request.getAttribute("existingLicenseCountML") %>" >
		<input type="hidden" name="sn" value="<%=request.getAttribute("sn")  %>" >
		<input type="hidden" name="f2" value="<%=request.getAttribute("f2") %>" >
		
	</form>
	</fieldset>
	<p>Licenses in Syncrify are based on the number of machines (desktops, laptops or servers) where Syncrify Client is installed. </p>
	<p>There is no charge for Syncrify Server.</p>
	<p><b>Important:</b> Branding is allowed once you purchase 50 or more licenses.</p>
	<%
}
%>

    </div>
  </div>
</div> 
<%@ include file="Footer.jsp" %>

