<%@page import="com.synametrics.syncrify.bean.AccessLogHolderBean, java.util.List"%>

<%@ include file="Header.jsp" %>

<div class="content-heading">Access Report
<%@ include file="Breadcrumbs.jsp" %>
</div>
<%

if(request.getAttribute("errorMsg") != null){
	%>
	<div class="alert alert-danger"><h4>Error</h4><%= request.getAttribute("errorMsg") %></div>
	<%
}


if(request.getAttribute("infoMsg") != null){
	%>
	<div class="alert alert-info"><%= request.getAttribute("infoMsg") %></div>
	<%
}

%>
<div class="row">
<div class="<%=mainBodyColClass%>">
  <div class="panel panel-default">
     <div class="panel-heading">Access report for: <%=request.getAttribute("currentUser") %></div>
     <div class="panel-body">
         <div class="row">
         <div class="col-md-12">
               <%
                if(request.getAttribute("allowSwitching").equals("true")){
                    %>
                    <form name="frmReportUser"  action="<%=controllerPath%>" method="post" >

                    <label style="text-align: right; width: 100%;">Select a different user: <select style="width: 200px;display: inline-block;" class="form-control input-sm" name="uid" onchange="frmReportUser.submit();">
                    <%= request.getAttribute("userOptions") %>		
                    </select>
                    </label>   
                    <input type="hidden" name="operation" value="reports">
                    <input type="hidden" name="drbu" value="1">
                    </form>

                    <%
                }
                %>   
            </div>
         </div>
            <%
           if(request.getAttribute("logEntries") != null){
	       List<AccessLogHolderBean> logEntries = (List<AccessLogHolderBean>) request.getAttribute("logEntries");
	
	       %>
          <p>Entries in the table below are listed in reversed chronological order.</p>
        <div class="table-responsive">
           <table class="table table-hover">
              <thead>
                 <tr>
                    <th>Profile name</th>
                    <th>Backup date</th>
                    <th>Ran for</th>
                    <th>Transfer size</th>
                    <th>Total files</th>
                 </tr>
              </thead>
              <tbody>
                   <%
                    for(int i = 0; i < logEntries.size(); i++){
                        %>
                        <tr>
                            <td><img src="images/clientBackup.png" t itle="Host: <%=logEntries.get(i).getClientIP() %>, build number: <%=logEntries.get(i).getClientVersion() %>"> <%=logEntries.get(i).getProfileName() %></td>
                            <td><%=logEntries.get(i).getStartTimeString() %></td>
                            <td><%=logEntries.get(i).getRanFor() %></td>
                            <!--  Author @Blake Start -->
                            <td>
              				<%if (logEntries.get(i).getCsvFileName().equals("NA")) {%>
              					<i class ='fa fa-cloud-download' style='color:gray;opacity:0.4'></i>
              				<%}else{	%>
              				
                            <a href="<%=response.encodeURL("app?operation=reports&downf=" + logEntries.get(i).getCsvFileName() + 
        					"&profile=" + logEntries.get(i).getProfileName() + "&uid=" + logEntries.get(i).getUserEmail() )  %>"><i class ='fa fa-cloud-download' title='Click to download backup report.'></i></a>
                            <%}%><%if (logEntries.get(i).getTotalErrors() == 0) {
                            	 %><i class ='fa fa-check' style='color:green' title='Backup ran without errors.'></i><% 
                            	}else {%> 
                            	
                            	 <a href="<%=response.encodeURL("app?operation=reports&errf=" + logEntries.get(i).getCsvFileName() + 
        					"&profile=" + logEntries.get(i).getProfileName() + "&uid=" + logEntries.get(i).getUserEmail() )  %>" onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"><i class ='fa fa-times' style='color:red' title='Click to see errors.'></i></a>
        					<%} %>
                            	<%=logEntries.get(i).getTotalBytesTransferredString() %></td>
                            
                             <!--  @Blake End -->
                             
                            <td><%=logEntries.get(i).getTotalFiles() %></td>
                        </tr>
                        <%		
                    }
                    %>
              </tbody>
           </table>
        </div>
     </div>
  </div>
</div>
<%
}
%>             

<%@ include file="Footer.jsp" %>
