<%@page import="com.synametrics.syncrify.bean.AccessLogHolderBean, java.util.List"%>

<%@ include file="Header.jsp" %>

<%
String errorMessage = (String) request.getAttribute("errorMessage");
if(errorMessage != null){
	out.print("<div class='uk-notify uk-notify-top-center'><div class='uk-notify-message alert-dismissable alert alert-danger' style='opacity: 1; margin-top: 0px; margin-bottom: 10px;'><a class='close'>x</a><div><em class='fa fa-info-circle'></em> " + errorMessage  +" </div></div></div>");
}

String infoMessage = (String) request.getAttribute("infoMessage");
if(infoMessage != null){
	out.print("<div class='uk-notify uk-notify-top-center'><div class='uk-notify-message alert-dismissable alert alert-info' style='opacity: 1; margin-top: 0px; margin-bottom: 10px;'><a class='close'>x</a><div><em class='fa fa-info-circle'></em> " + infoMessage  +" </div></div></div>");
}
%>
    
<div class="content-heading"><i class="fa fa-calendar"></i> Reports
<%@ include file="Breadcrumbs.jsp" %>
</div>
    
<div class="row">
<div class="<%=mainBodyColClass%>">


  <!-- START panel-->
  <div class="panel panel-default">
     <div class="panel-heading">Backup Report</div>
     <div class="panel-body">
       <div class="col-lg-12">
          <!-- START widget-->
          <div class="panel widget">
          
          
             <div class="row row-table row-flush">
                <div class="col-xs-6 bb">
                   <div class="row row-table row-flush">
                      <div class="col-xs-2 text-center text-info">
                         <a href="app?operation=reports&upmb=1"><i class="icon-calendar" style="font-size: 250%;"></i></a>
                      </div>
                      <div class="col-xs-10">
                         <div class="panel-body">
                            <h4 class="mt0"><a href="app?operation=reports&upmb=1">Upcoming and missed backups</a></h4>
                            <p class="mb0 text-muted">Display jobs that will run shortly or were supposed to run but did not.</p>
                         </div>
                      </div>
                   </div>
                </div>
                <div class="col-xs-6 bb">
                   <div class="row row-table row-flush">
                      <div class="col-xs-2 text-center text-inverse">
                         <a href="app?operation=reports&drbd=1"><i class="fa fa-group" style="font-size: 250%;"></i></a>
                      </div>
                      <div class="col-xs-10">
                         <div class="panel-body">
                            <h4 class="mt0"><a href="app?operation=reports&drbd=1&dgid=0">Backup report by User Groups</a></h4>
                            <p class="mb0 text-muted">Display backups for different user groups</p>
                         </div>
                      </div>
                   </div>
                </div>
             </div>
             
             
             <div class="row row-table row-flush">
                <div class="col-xs-6 bb">
                   <div class="row row-table row-flush">
                      <div class="col-xs-2 text-center text-inverse">
                         <a href="app?operation=reports&drbd=1"><i class="fa fa-calendar" style="font-size: 250%;"></i></a>
                      </div>
                      <div class="col-xs-10">
                         <div class="panel-body">
                            <h4 class="mt0"><a href="app?operation=reports&drbd=1">Backup report by date</a></h4>
                            <p class="mb0 text-muted">Display backups for the past 5 days for every user</p>
                         </div>
                      </div>
                   </div>
                </div>
                <div class="col-xs-6 bb">
                   <div class="row row-table row-flush">
                      <div class="col-xs-2 text-center text-danger">
                        <a href="app?operation=reports&drbu=1"><i class="fa fa-user" style="font-size: 250%;"></i></a>
                      </div>
                      <div class="col-xs-10">
                         <div class="panel-body">
                            <h4 class="mt0"><a href="app?operation=reports&drbu=1">Backup report by user</a></h4>
                            <p class="mb0 text-muted">Display backups for a user</p>
                         </div>
                      </div>
                   </div>
                </div>
             </div>
             
           
             
             <div class="row row-table row-flush">
                <div class="col-xs-6 bb">
                   <div class="row row-table row-flush">
                      <div class="col-xs-2 text-center text-inverse">
                         <a href="app?operation=reports&drbd=1"><i class="fa fa-cloud" style="font-size: 250%;"></i></a>
                      </div>
                      <div class="col-xs-10">
                         <div class="panel-body">
                            <h4 class="mt0"><a href="app?operation=reports&cloud=1">Cloud Snapshots</a></h4>
                            <p class="mb0 text-muted">Display a list of snapshots created on cloud</p>
                         </div>
                      </div>
                   </div>
                </div>
                <div class="col-xs-6 bb">
                
                  <div class="row row-table row-flush">
                      <div class="col-xs-2 text-center text-success">
                         <a href="app?operation=reports&drbe=1"><i class="fa fa-warning" style="font-size: 250%;"></i></a>
                      </div>
                      <div class="col-xs-10">
                         <div class="panel-body">
                            <h4 class="mt0"><a href="app?operation=reports&drbe=1">Inactive users</a></h4>
                            <p class="mb0 text-muted">NEW Display users who did not run backup for <%=request.getAttribute("rbeInactivityHour") %> hours</p>
                         </div>
                      </div>
                   </div>
                   
                </div>
             </div>
             
             
          </div>
          <!-- END widget-->
       </div>
     </div>
  </div>
  <!-- END panel-->
</div>
<div class="<%=mainBodyColClass%>">

     
     <!-- START panel-->
    <div id="tabTip3" class="panel panel-default">
       <div class="panel-heading">Report via email</div>
       <div class="panel-body">
       <p>Optionally, you can receive an email around midnight every day with a summary of every backup ran for that day. This report contains two sections:</p>
         <p>List of users who backed up in the last 24 hours</p>
         <p>List of users who did not run a backup for the number of hours you specify below (for Inactivity time).</p>
         <form class="form-horizontal" action="<%=controllerPath%>" method="POST">
          <div class="form-group">
             <label class="col-lg-3 control-label">Inactivity time: *</label>
             <div class="col-lg-9">
                <input type="number" name="rbeInactivityHour" id="rbeInactivityHour"value="<%= request.getAttribute("rbeInactivityHour")%>" class="form-control" required>
                <span class="help-block m-b-none">Number of hours of inactivity before a user's name is included in the report</span>
             </div>
          </div>
          <div class="form-group">
             <label class="col-lg-3 control-label">Email recipients: *</label>
             <div class="col-lg-9">
                <input type="text" placeholder="Email recipients" name="rbeRecipient" id="rbeRecipient" value="<%= request.getAttribute("rbeRecipient")%>" class="form-control">
                 <span class="help-block m-b-none">Use comma to separate more than one email address. If left blank, email will be sent to <b><%=request.getAttribute("adminEmail") %></b></span>
             </div>
          </div>
          
          <!--
          <div class="form-group">
             <label class="col-lg-3 control-label">Password: *</label>
             <div class="col-lg-9">
                <input type="password" placeholder="Password" value="<%=request.getAttribute("password") == null ? "" : request.getAttribute("password") %>" name="password" size="30" class="form-control" required>
                 <span class="help-block m-b-none">Assign a new password for this user</span>
             </div>
          </div>
          -->
          <div class="form-group">
             <div class="col-lg-offset-3 col-lg-9">
                <div class="checkbox c-checkbox">
                   <label for="rbeEnabled">
                    <input type="checkbox" name="rbeEnabled" id="rbeEnabled" class="inputCheckbox" value="1"  <%= request.getAttribute("rbeEnabled")%> /> 
                      <span class="fa fa-check"></span>Enable report by email</label>  
                </div>
                 <span class="help-block m-b-none">If checked, Syncrify server will send an email to the administrator every day around midnight.</span>
             </div>
          </div>              
          <div class="form-group">
             <div class="col-lg-offset-3 col-lg-9">
                 <LABEL for="proceedButton"> </LABEL>			
                <button type="submit"  name="proceedButton" id="proceedButton" class="btn btn-sm btn-primary">Save</button>
                <a class="btn btn-sm btn-primary" href="app?operation=reports&sendte=1" title="Click here to generate report, which is sent via email.">Send Now</a>
             </div>
          </div>  
          	<input type="hidden" name="operation" value="reports">
        	<input type="hidden" name="st" value="savee">
       </form>
        </div>
       
    
    
     
        
     
	</div>
    <!-- END panel-->
  <!-- END panel-->
</div>

<%@ include file="Footer.jsp" %>
