

<div class="row">
	<div class="col-md-8">
	
	
<form class="form-horizontal" action="<%=controllerPath%>" method="post" >
    
<% if (request.getAttribute("showAdvancedAdmin").equals("true")){ %>
	<a class="btn btn-sm btn-default" href="app?operation=mngAdmin"><img class="img-responsive" src="images/admin.png" > <h4>Manage administrator accounts</h4></a>
<%	}else{ %>    
   <div class="form-group">
      <label for="adminPassword" class="col-sm-3 control-label">Admin Password: </label>
      <div class="col-sm-9">
         <input type="password" placeholder="Admin Password" name="adminPassword" id="adminPassword" value="<%= request.getAttribute("adminPassword") == null ? "" : request.getAttribute("adminPassword") %>" class="form-control" >
          <span class="help-block m-b-none">Specify a new password for the <b>admin</b> account or leave it blank to keep the existing password.</span>
          
          <div class="well well-sm">
          <a href="<%=response.encodeURL("app?operation=2fa") %>">Click here</a> to manage Two-Factor Authentication for administrators.
          
          </div>
      </div>
   </div>
   
   <div class="form-group">
      <label for="rwfileName" class="col-sm-3 control-label">Ransomware file: </label>
      <div class="col-sm-9">
         <input type="text" placeholder="File name for ransomware detection" name="rwfileName" id="rwfileName" value="<%= request.getAttribute("rwfileName") == null ? "" : request.getAttribute("rwfileName") %>" class="form-control" >
          <span class="help-block m-b-none">A file name used to detect ransomware attack. Leave it blank to disable it. 
          <a href="http://web.synametrics.com/syncrify-ransom-ware.htm">Click here</a> for details.</span>
      </div>
   </div>
   
   
   <div class="form-group">
      <div class="col-lg-offset-3 col-lg-9">
         <div class="checkbox c-checkbox">
            <label for="disableCSRFPrevention">
               <input type="checkbox" name="disableCSRFPrevention" value="true" id="disableCSRFPrevention" <%= request.getAttribute("disableCSRFPrevention") == null ? "" : request.getAttribute("disableCSRFPrevention") %> />
               <span class="fa fa-check"></span>Disable CSRF attack prevention</label>
         </div>
          <span class="help-block m-b-none">If checked, CSRF attacks are no longer prevented. <a href="http://web.synametrics.com/SyncrifyCSRF.htm">Click here</a> for details. <b>(Requires restart)</b></span>
      </div>
   </div>
   <div class="form-group">
      <div class="col-lg-offset-3 col-lg-9">
         <div class="checkbox c-checkbox">
            <label for="restrictAdminToLocalhost">
               <input type="checkbox" name="restrictAdminToLocalhost" value="true" id="restrictAdminToLocalhost" <%= request.getAttribute("restrictAdminToLocalhost") == null ? "" : request.getAttribute("restrictAdminToLocalhost") %> />
               <span class="fa fa-check"></span>Restrict admin to localhost</label>
         </div>
          <span class="help-block m-b-none">If checked, no one will be able to connect from a remote machine using the <b>admin</b> account.</span>
      </div>
   </div>
<% } %>
    
<fieldset>
    <legend>Alerts:</legend>
    <div class="form-group">
       <div class="col-sm-12">
          <label for="alertInvalidPassword" class="checkbox-inline c-checkbox">
             <input type="checkbox" name="alertInvalidPassword" id="alertInvalidPassword" class="inputCheckbox" value="true" title="An alert is generated if someone tries to specify an incorrect password more than 3 times." <%= request.getAttribute("alertInvalidPassword") == null ? "" : request.getAttribute("alertInvalidPassword") %> />
             <span class="fa fa-check"></span>Incorrect password attempts</label>
             
          <label for="blockIP" class="checkbox-inline c-checkbox">
             <input type="checkbox" name="blockIP" id="blockIP" class="inputCheckbox" value="true" 
             title="Temporarily block an IP address if more than <%= request.getAttribute("maxAuthErrorsIP") %> attempts are made from one IP address." <%= request.getAttribute("blockIP") == null ? "" : request.getAttribute("blockIP") %> />
             <span class="fa fa-check"></span>Block IP address</label>
             
          <label for="blockUser" class="checkbox-inline c-checkbox">
             <input type="checkbox" name="blockUser" id="blockUser" class="inputCheckbox" value="true" 
             title="Temporarily block user if more than <%= request.getAttribute("maxAuthErrorsUsers") %> attempts are made with incorrect password." <%= request.getAttribute("blockUser") == null ? "" : request.getAttribute("blockUser") %> />
             <span class="fa fa-check"></span>Block Users</label>
             
             
             
          <label for="alertManualPath" class="checkbox-inline c-checkbox">
             <input type="checkbox" name="alertManualPath" id="alertManualPath" class="inputCheckbox" value="true" title="An alert is generated when a tricky path is specified manually" <%= request.getAttribute("alertManualPath") == null ? "" : request.getAttribute("alertManualPath") %> />
             <span class="fa fa-check"></span>Tricky path</label>
       </div>
     
       	    
    </div>
</fieldset>    
   <div class="form-group">
      <div class="col-sm-offset-0 col-sm-12">
          <LABEL for="proceedButton">&nbsp;</LABEL>
         <button type="submit" name="proceedButton" id="proceedButton" class="btn btn-sm btn-primary">Save</button>
      </div>
   </div>
   
<input type="hidden" name="operation" value="config" />
<input type="hidden" name="st" value="saveSecurity" />
    
</form>


</div>
	<div class="col-md-4">

	
		<!-- START panel-->
	    <div id="tabTip2" class="panel panel-danger">
	       <div class="panel-heading">TIP:</div>
	       <div class="panel-body">
	       <p>Security alerts are generated by the system when a violation is detected. Select the type of alerts you wish to receive.</p>
	       </div>
	       
	    </div>
	    <!-- END panel-->
	    
	    <br><br><br><br><br><br><br><br><br><br><br><br><br>
	    
	    <center>
	    	<span class="btn btn-sm btn-default"><a href="<%=response.encodeURL("app?operation=config&st=showBlip") %>" >View Blocked IPs</a></span>
	    	<span class="btn btn-sm btn-default"><a href="<%=response.encodeURL("app?operation=config&st=showBlus") %>" >View Blocked Users</a></span>
	    	
	    </center>
       
	</div>
</div>	

