<%@ include file="SetupTop.jsp" %>


<script language=javascript>
function hiddentext() {
    document.all['process'].style.visibility ="hidden";
}

function submit_form() {
    document.all['process'].style.visibility ="visible"; 
    document.getElementById("imgNext").disabled = true;
    document.getElementById("imgNext").style.cursor="wait";
    document.form1.submit();
}
</script>


    <div class="panel-heading">Email Configuration</div>
    <div class="panel-body">
        <%
        String errorMsg = (String) request.getAttribute("errorMsg");
        if(errorMsg != null){
            %>
            <div role="alert" class="alert alert-danger"><b>Error:</b> <%=errorMsg %></div>
            <%
        }
        %>
        <p>Specify the values for your SMTP server</p>
        <ul class="syn">
			<li class="arrow">A security violation occurs</li>
			<li class="arrow">Other important event, such as low memory or disk, occurs.</li>
		</ul>
        <p>It is important you specify a correct email address below.</p>
        <form name="form1"  action="<%=controllerPath%>" method="post" onsubmit="submit_form()" class="form-horizontal">
           <div class="col-md-6">
            <div class="form-group">
              <label>SMTP Server/Port:</label>
              <input placeholder="Hostname/IP Address" type="text" name="smtpServerHost" value="<%=request.getAttribute("smtpServerHost") != null ? request.getAttribute("smtpServerHost") : "" %>" size="25" title="Host name or IP address of your SMTP server." class="form-control">
            </div>
            <div class="form-group">
              <label>SMTP User:</label>
              <input placeholder="User ID" type="text" name="smtpUser" value="<%=request.getAttribute("smtpUser") != null ? request.getAttribute("smtpUser") : "" %>" size="15" title="SMTP user, if authentication is required." class="form-control">
            </div>   
           </div>
           <div class="col-md-6">
            <div class="form-group">
              <label>Port:</label>
              <input placeholder="TCP/IP Port" type="text" name="smtpServerPort" value="<%=request.getAttribute("smtpServerPort") != null ? request.getAttribute("smtpServerPort") : "" %>" size="5" title="TCP/IP port for SMTP" class="form-control">
            </div>
            <div class="form-group">
              <label>SMTP Password:</label>
              <input placeholder="Password" type="password" name="smtpPassword" value="" size="15" title="SMTP password if authentication is required." class="form-control">
            </div>   
           </div> 
           <div class="form-group">
               <label class="col-sm-2 control-label">Security:</label>
               <%
                String secNone = " checked ";
                String secStartTLS = "";

                if(request.getAttribute("STARTTLSSupported") != null && request.getAttribute("STARTTLSSupported").equals("true")){
                    secNone = "";
                    secStartTLS = " checked ";
                }
                %>
               <div class="col-sm-10">
                  <label for="none" class="radio-inline c-radio">
                     <input id="none" type="radio" value="None" name="security" <%=secNone %> >
                     <span class="fa fa-check"></span>None</label>
                  <label for="TLS" class="radio-inline c-radio">
                     <input id="TLS" type="radio"value="TLS" name="security" <%=secStartTLS %> >
                     <span class="fa fa-check"></span>STARTTLS</label>
                  <label for="SSL" class="radio-inline c-radio">
                     <input id="SSL" type="radio" value="SSL" name="security">
                     <span class="fa fa-check"></span>SSL</label>
               </div>
            </div>
            <p>Click the next button when ready.</p>
		
		
            <div align="right">
                <button id="imgNext" class="btn btn-default"><i class="fa fa-arrow-right" style="font-size: 72px;"></i></button>
                <div id=process>Processing. Please wait...</div>
            </div>

            <input type="hidden" name="operation" value="setup" />
            <input type="hidden" name="st" value="saveSmtp" />
		</form>
    </div>
		
		
		
<script>
hiddentext();
</script>
		
<%@ include file="SetupBottom.jsp" %>