<%@page import="com.synametrics.syncrify.bean.CloudSnapshotStatusBean"%>
<%@page import="java.util.List"%>
<%@ include file="Header.jsp" %>


<!-- 
<form class="form-horizontal" action="<%=controllerPath%>" method="post" >


<%=response.encodeURL("app?operation=manageUsers") %>


 -->
<div class="content-heading">
		<i class="fa icon-cloud-upload fa-2x"></i> Cloud Snapshot
		<%@ include file="Breadcrumbs.jsp" %>
	</div>
	
	<!-- 
	<div class="well well-sm">
	<i class="fa fa-reply"></i>
	<a href="<%=response.encodeURL("app?operation=manageUsers") %>">Manage Users</a> &rarr;
	<a href="<%=response.encodeURL("app?operation=manageUsers&st=viewProfile&email=" + request.getParameter("email")) %>">Profiles</a>
	</div>
	-->
	
	
	<div class="row">
		<div class="<%=mainBodyColClass%>">
			<div class="panel panel-primary">
				<div class="panel-heading">Configure Cloud Snapshot</div>
				<div class="panel-body">
				
				
				<%
				List<String> providers = (List<String>) request.getAttribute("providers");
				if(providers != null && providers.size() > 0){
				%>
				<form  role="form" class="form-horizontal" action="<%=controllerPath%>" method="post">
				
				
					<div class="form-group">
                       <label class="col-lg-3 control-label">Service Name</label>
                       <div class="col-lg-9">
                          <select id="friendlyName" placeholder="Select a provider" class="form-control" name="friendlyName">
                        	<%
                        		for(String provider : providers){
                        			%>
                        			<option value="<%=provider%>"><%=provider %></option>
                        			<%
                        		}
                        	%>
                        </select>
                       </div>
                    </div>
                           
                           
                    <div class="form-group">
                       <label class="col-lg-3 control-label">Frequency</label>
                       <div class="col-lg-9">
                          <input id="frequency" name="frequency" type="number" min="0" step="1" placeholder="Backup Frequency" class="form-control" required>
                       </div>
                    </div> 
                    
                    <div class="form-group">
                       <div class="col-lg-offset-3 col-lg-9">
                          <div class="checkbox c-checkbox">
                             <label>
                                <input type="checkbox">
                                <span class="fa fa-check" value="true" name="versioned"></span>Backup Versions</label>
                          </div>
                       </div>
                    </div> 
                    
                    
                    <div class="form-group">
                       <div class="col-lg-offset-2 col-lg-10">
                          <button type="submit" class="btn btn-sm btn-default">Create</button>
                       </div>
                    </div>
                    
                    <!-- CCS stands for Create Cloud Snapshot -->
                    <input type="hidden" name="operation" value="manageUsers">
                    <input type="hidden" name="email" value="<%= request.getParameter("email")%>">
                    <input type="hidden" name="profileName" value="<%= request.getParameter("profileName")%>">
                    <input type="hidden" name="st" value="ccs">
					
				</form>
				
				
				<h3>Usage Tip</h3>
				
				<table class="table">
					<tr>
						<th>Frequency</th>
						<td>A snapshot is taken after this many number of backups. For example, if this value is set to 10, Syncrify will create
				  			a backup snapshot on the cloud after every 10th backup. 
				  			Putting a 0 will disable scheduled snapshots - this means snapshots must be created manually.</td>
					</tr>
					<tr>
						<th>Backup&nbsp;Versions</th>
						<td>If checked, versioned files will be copied to the cloud. There is no benefit in checking this option unless the frequency
						is set to 1. 
						<a href="http://web.synametrics.com/Syncrify-cloud-versions.htm">Click here</a> for details</td>
					</tr>
				</table>
				
				
				<%
				}else{
				%>
					<table class="table">
						<tr><th>Profile Name:</th><td><%= request.getParameter("profileName") %></td></tr>
						<tr><th>Login:</th><td><%= request.getParameter("email")%></td></tr>
						<tr><th>Cloud Service Provider:</th><td><%= request.getAttribute("friendlyName")%></td></tr>
						<tr><th>Share Folder/Bucket Name:</th><td><%=  request.getAttribute("bucketName")%></td></tr>
						<tr><th>Last Snapshot Time:</th><td><%=  request.getAttribute("lastRanAt")%></td></tr>
						<tr><th>Frequency:</th><td><%=  request.getAttribute("frequency")%>   <span class="pull-right">
						
							<%
							int freq = Integer.parseInt(request.getAttribute("frequency").toString());
							
							if(freq > 0){
							%>
							
							<a href="<%=response.encodeURL("app?operation=manageUsers&email=" + 
								request.getParameter("email") + 
								"&profileName=" + request.getParameter("profileName") + "&st=dfreq") %>" 
								title="Decrease frequency"><span class="label label-success"><i class="fa fa-arrow-down"></i> Decrease</span></a>
								
								&nbsp;&nbsp;&nbsp;
							<%
							}
							%>	
							<a href="<%=response.encodeURL("app?operation=manageUsers&email=" + 
								request.getParameter("email") + 
								"&profileName=" + request.getParameter("profileName") + "&st=ifreq") %>" 
								title="Increase frequency"><span class="label label-danger"><i class="fa fa-arrow-up"></i> Increase</span></a> 
								
							</span>
							</td></tr>
						<tr><th>Versioned:</th><td><%=  request.getAttribute("versioned")%>
								<span class="pull-right"><a href="<%=response.encodeURL("app?operation=manageUsers&email=" + 
								request.getParameter("email") + 
								"&profileName=" + request.getParameter("profileName") + "&st=togv") %>" 
								title="Toggle Versioned Setting"><span class="label label-primary"><i class="fa icon-shuffle"></i> Toggle</span></a></span>
						</td></tr>
					</table>
					
					<%if(request.getAttribute("runningStatus") == null){ %>
						<center>
							<a href="<%=response.encodeURL("app?operation=manageUsers&email=" + 
								request.getParameter("email") + 
								"&profileName=" + request.getParameter("profileName") + "&st=rss") %>">
								<button class="btn btn-primary" title="Click to take a snapshot">Run Now</button>
							</a>
						</center>
					<%} %>
				<%	
				}
				%>
				
				
				 
				</div>
			</div>
			
			
			<div id="cloudAct"></div>
			
			
			<!-- BODY GOES HERE -->
			
			
			
			
			
		</div> <!-- Mandatory ending -->

<script>
function loadCloudActivity(){
    $('#cloudAct').load('app?operation=manageUsers&st=ca');
}

loadCloudActivity(); // This will run on page load
setInterval(function(){
	loadCloudActivity() // this will run after every 5 seconds
}, 1000);
</script>


<%@ include file="Footer.jsp" %>


