<%@ include file="Header.jsp" %>

<!--  
Many thanks to http://fgnass.github.io/spin.js/ for script.
 -->
<script type="text/javascript" src="images/spin.min.js"></script>
<%
String nextOpp = request.getParameter("o");
String subType = request.getParameter("st");
String redirectTo = null;
String heading = request.getParameter("h");
if(heading == null){
	heading = "Loading. Please wait...";
}

if(subType == null){
	subType = "";
}else{
	subType = "&st=" + subType;
}

if(nextOpp != null){
	redirectTo = "/app?operation=" + nextOpp + subType;
}else{
	redirectTo = request.getParameter("r");
	if(redirectTo == null) redirectTo = ""; 
}

if(redirectTo != null && redirectTo.indexOf("troubleshoot") >= 0){
	heading = "Running tests. Please wait...";
}
%>
<div class="content-heading">Troubleshooting Syncrify</div>
<div class="row">     

<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div  class="panel panel-default">
     <div class="panel-heading"><%=heading %></div>
     <div class="panel-body">
     <div class="table-responsive">       
        <table class="table">
            <tr>
                <td width="30%"><div id="loadingGif"></div></td>
                <td style="padding:15px;"><h3><%=heading %></h3>

                <%
                if(redirectTo.indexOf("troubleshoot") >= 0){
                    %>
                    This may take a minute or two to run. Following tests are performed:

                    <ul class="syn">
                        <li>Connectivity to and from the Internet to the HTTP(S) server</li>
                        <li>Connectivity to your SMTP server. The administrator will receive a test email.</li>
                        <li>Disk speed</li>
                        <li>Check for updates</li>
                    </ul>

                    <b>Note: </b> Connections are made to Synametric's web server which checks network connectivity between your server and the Internet.
                    <%
                }else{
                    %>
                    Processing request. Please wait...
                    <%
                }
                %>
                </td>
            </tr>
        </table>
        </div>            
     </div>
  </div>
  <!-- END panel-->
</div>
<!-- 
window.location = "<%=redirectTo%>";
 -->
 
 
<% if(redirectTo != null){ %>
<script type="text/javascript">
<!--


var opts = {
		  lines: 13, // The number of lines to draw
		  length: 30, // The length of each line
		  width: 12, // The line thickness
		  radius: 34, // The radius of the inner circle
		  corners: 1, // Corner roundness (0..1)
		  rotate: 0, // The rotation offset
		  direction: 1, // 1: clockwise, -1: counterclockwise
		  color: '#000', // #rgb or #rrggbb or array of colors
		  speed: 1, // Rounds per second
		  trail: 79, // Afterglow percentage
		  shadow: false, // Whether to render a shadow
		  hwaccel: false, // Whether to use hardware acceleration
		  className: 'spinner', // The CSS class to assign to the spinner
		  zIndex: 2e9, // The z-index (defaults to 2000000000)
		  top: 'auto', // Top position relative to parent in px
		  left: 'auto' // Left position relative to parent in px
		};
		var target = document.getElementById('loadingGif');
		var spinner = new Spinner(opts).spin(target);
		
		
window.setTimeout(function(){
    window.location.href = "<%=redirectTo%>";
	}, 500);



//-->
</script>
<%
}
%>

<%@ include file="Footer.jsp" %>