<%@page import="com.synametrics.syncrify.bean.*"%>
<%@page import="java.util.List"%>
<%@ include file="MDHeader4Admin.jsp" %>


<%
	ActivityBean aBean = (ActivityBean) request.getAttribute("activityBean");
	if(aBean == null){
		aBean = new ActivityBean();
		aBean.setActiveSessions(new java.util.ArrayList<ActivitySessionBean>());
		
		ActivitySessionBean sample = new ActivitySessionBean();
		sample.setBytesTransferred("45.2 MB");
		sample.setIpAddress("192.168.1.34");
		sample.setJobNumber(420);
		sample.setPercentComplete(45);
		sample.setProfileName("First Profile");
		sample.setUserEmail("someone@somewhere.com");
		
		aBean.getActiveSessions().add(sample);
		
		sample = new ActivitySessionBean();
		sample.setBytesTransferred("45.2 GB");
		sample.setIpAddress("192.168.1.34");
		sample.setJobNumber(480);
		sample.setPercentComplete(92);
		sample.setProfileName("First Profile");
		sample.setUserEmail("someone.lastname@synametrics.com");
		
		aBean.getActiveSessions().add(sample);
		
		
		aBean.setTotalSessions(20);
	}
	List<ActiveClientBean> activeClients = (List<ActiveClientBean>) request.getAttribute("activeClients");
	List<ActivitySessionBean> activeSessions = aBean.getActiveSessions();
	
%>
	
<div data-role="page">

	<div data-role="header" data-theme="a"><h1>Administration</h1>
		<a href="app?operation=logout" data-icon="power" class="ui-btn-left" data-ajax="false">Logout</a>	
		<a href="app?operation=mdh" data-icon="refresh" class="ui-btn-right" data-ajax="false">Refresh</a>	
	</div><!-- /header -->
	
	<div data-role="content">	
		<table id="activityTable" class="medium-fonts ui-table table-stripe">
			<caption>Current Activity</caption>
			<tr><th>Running since:</th><td><%= aBean.getServerRunningSince() %></td></tr>
			<tr><th>Total sessions:</th><td><%= aBean.getTotalSessions() %></td></tr>
			<tr><th>Active sessions:</th><td><%= aBean.getActiveSessions().size() %></td></tr>	
		</table>
		<ul data-role="listview" data-inset="true" data-filter="false">
			<li><a href="app?operation=mdh&st=upc" data-ajax="false">Upcoming backups</a></li>
			<li><a href="app?operation=mdh&st=mis" data-ajax="false">Missed backups</a></li>

			<li><a href="#sessions">Active sessions</a></li>
			<li><a href="#rc">Remote clients</a></li>
			
			<li><a href="app" data-ajax="false">Full site</a></li>
		</ul>
	</div>
</div>

<!-- 
<div data-role="page" id="debug">
	<div data-role="header" data-theme="a"><h1><%= mainTitle%></h1>
		<a href="app?operation=mdh" data-icon="home" class="ui-btn-right" data-ajax="false">Home</a>	
	</div>
</div>
 -->	
	
<div data-role="page" id="sessions">

	<div data-role="header" data-theme="a"><h1>Syncrify admin</h1>
		<a href="app?operation=mdh" data-icon="home" class="ui-btn-right" data-ajax="false">Home</a>	
	</div><!-- /header -->
	
	<div data-role="content">	
		<%
		
	if(activeSessions.size() == 0){
		%>
		<h3>No activity</h3>
		No sessions are currently active
		<%
	}
		
	for(int i = 0; i < activeSessions.size(); i++){
		
		ActivitySessionBean aSession = activeSessions.get(i);
		
		
		%>
		<div data-role="collapsible" data-collapsed="true">
	   	<h5><%= aSession.getProfileName() %> - <%= aSession.getJobNumber() %></h5>
		   	<table class="detailed medium-fonts">
			   	<tr>
			   		<th>User:</th>
			   		<td><%= aSession.getUserEmail() %></td>
			   	</tr>
			   	<tr>
			   		<th>Profile:</th>
			   		<td><%= aSession.getProfileName()%></td>
			   	</tr>
			   	<tr>
			   		<th>Job #:</th>
			   		<td><%= aSession.getJobNumber()%></td>
			   	</tr>
			   	<tr>
			   		<th>IP:</th>
			   		<td><%= aSession.getIpAddress()%></td>
			   	</tr>
			   	<tr>
			   		<th>Bytes:</th>
			   		<td><%= aSession.getBytesTransferred()%></td>
			   	</tr>			   	
			   	<tr>
			   		<th>Percent:</th>
			   		<td><%= aSession.getPercentComplete()%>%</td>
			   	</tr>
	   	
	   		</table>
	   		
	   		
	   		<a href="app?operation=mdh&st=tj&jn=<%=aSession.getJobNumber() %>" data-role="button" 
	   				data-icon="delete" data-theme="a" data-mini="true"
	   			 	onclick="javascript:return confirm('This will forcefully terminate a running job. Are you sure?')">Terminate Session</a>
	   		
	   		
		</div>
		
			<%
			}
			%>
	</div>
</div>	
	
<div data-role="page" id="rc">
	<div data-role="header" data-theme="a"><h1>Remote clients</h1>
		<a href="app?operation=mdh" data-icon="home" class="ui-btn-right" data-ajax="false">Home</a>	
	</div><!-- /header -->
	
	
	<div data-role="content">	
		<%
		
	if(activeClients.size() == 0){
		%>
		<h3>No remote clients</h3>
		No remote clients are currently available
		<%
	}
		
	for(int i = 0; i < activeClients.size(); i++){
		
		ActiveClientBean oneClient = activeClients.get(i);		
		%>
		<div data-role="collapsible" data-collapsed="true">
	   	<h5><%= oneClient.getUserId() %></h5>
		   	<table class="detailed medium-fonts">
			   	<tr>
			   		<th>User:</th>
			   		<td><%= oneClient.getUserId() %></td>
			   	</tr>
			   	<tr>
			   		<th>Build #:</th>
			   		<td><%= oneClient.getClientBuildNumber()%></td>
			   	</tr>
			   	<tr>
			   		<th>Host name:</th>
			   		<td><%= oneClient.getClientHostName()%></td>
			   	</tr>
			   	<tr>
			   		<th>IP:</th>
			   		<td><%= oneClient.getClientIP()%></td>
			   	</tr>
			   	<tr>
			   		<th>Up since:</th>
			   		<td><%= oneClient.getClientRunningSinceAsString()%></td>
			   	</tr>			   	
			  
	   	
	   		</table>
	   		
	   		<ul data-role="listview" data-inset="true" data-filter="false">
				
				<li><a href="app?operation=mdh&st=vpr&id=<%= oneClient.getClientPK()%>" data-ajax="false">Profiles</a></li>
				<li><a href="app?operation=mdh&st=slq&id=<%=oneClient.getClientPK() %>" data-ajax="false" >Submit logs</a></li>
			</ul>
			
	   		
		</div>
		
			<%
			}
			%>
	</div>
</div>
	
	

<%@ include file="MDFooter4Admin.jsp" %>
    