<%@page import="java.util.List, com.synametrics.syncrify.bean.*"%>
<%@ include file="Header.jsp" %>

<style>
.crossedOut{
    text-decoration:line-through; 
    color:#AAAAAA;
}
</style>
    
<div class="content-heading">Remote Clients
<%@ include file="Breadcrumbs.jsp" %>

</div>
<div class="row">   

    
<%
String statCode = (String) request.getAttribute("statCode");
if(statCode == null){
%>
<div class="<%=mainBodyColClass%>">


		<%
		if(request.getAttribute("errorMsg") != null){
			%>
			<div class="alert alert-danger"><h4>Error</h4><%= request.getAttribute("errorMsg") %></div>
			<%
		}
		if(request.getAttribute("infoMsg") != null){
			%>
			<div class="alert alert-info"><%= request.getAttribute("infoMsg") %></div>
			<%
		}
		%>


                     
                     
  <!-- START panel-->
  <div  class="panel panel-default">
     <div class="panel-heading">This page display clients connecting to this server. </div>
     <div class="panel-body">
     	<p>Consider the following possible reasons if you do not see a client in this list:</p>
     	<p>
        <ul>
            <li>&nbsp;&nbsp;&nbsp;&nbsp;<i class="fa fa-caret-right"></i>&nbsp; Syncrify client is older than build 657. Try upgrading the client.</li>
            <li>&nbsp;&nbsp;&nbsp;&nbsp;<i class="fa fa-caret-right"></i>&nbsp; The client cannot see the server due to some network problem</li>
            <li>&nbsp;&nbsp;&nbsp;&nbsp;<i class="fa fa-caret-right"></i>&nbsp; Client service is not running</li>
            <li>&nbsp;&nbsp;&nbsp;&nbsp;<i class="fa fa-caret-right"></i>&nbsp; A row is <span class="crossedOut">crossed out</span> if remote controlling is disabled on the client.</li>
        </ul> </p>
     </div>
  </div>
  <!-- END panel-->
</div>

<% 
}else if(statCode.equals("1")){
%>
<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div  class="panel panel-success">
     <div class="panel-heading">Request submitted</div>
     <div class="panel-body">
        A request has been submitted to run backup. It may take up to a minute for the backup to actually start. 	
     </div>
  </div>
  <!-- END panel-->
</div>     
<%
}else if(statCode.equals("-1")){
%>
<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div  class="panel panel-danger">
     <div class="panel-heading">Error</div>
     <div class="panel-body">
        <%=request.getAttribute("errorMsg") %> 	
     </div>
  </div>
  <!-- END panel-->
</div>    
<%
}else if(statCode.equals("-2")){
%>
<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div  class="panel panel-danger">
     <div class="panel-heading">Error</div>
     <div class="panel-body">
        <%=request.getAttribute("errorMsg") %> 	
     </div>
  </div>
  <!-- END panel-->
</div> 	
<%
}else if(statCode.equals("2")){
%>
<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div  class="panel panel-success">
     <div class="panel-heading">Request submitted</div>
     <div class="panel-body">
        A request has been submitted to decommission the client. It could take up to 60 seconds for this to take affect.	
     </div>
  </div>
  <!-- END panel-->
</div>
<%
}
%>





<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div id="currentAct"></div>
  <!-- END panel-->
</div>
                     
                     
<script>
function loadActivityMonitor(){
    $('#currentAct').load('app?operation=ac&st=idt');
}

loadActivityMonitor(); // This will run on page load
setInterval(function(){
    loadActivityMonitor() // this will run after every 5 seconds
}, 5000);
</script>

<%@ include file="Footer.jsp" %>