<%@ include file="Header.jsp" %>


<%
String infoMessage = (String) request.getAttribute("infoMessage");
if(infoMessage != null){
	%>
	<div class="uk-notify uk-notify-top-center"><div class="uk-notify-message alert-dismissable alert alert-info" style="opacity: 1; margin-top: 0px; margin-bottom: 10px;"><a class="close">x</a><div><em class="fa fa-info-circle"></em> <%=infoMessage %> </div></div></div>
	<%
}
%>

<div class="content-heading">
   <%@ include file="ConfigButtons.jsp" %>
   <i class="fa fa-cogs"></i> Advanced Configuration
   <small data-localize="dashboard.Configuration"></small>
   <%@ include file="Breadcrumbs.jsp" %>
</div>


<div class="row">
    <div class="<%=mainBodyColClass%>">
      <!-- START panel-->
      <div class="panel panel-default">
         <div class="panel-heading">Advanced Configurations</div>
         <div class="panel-body">
            <form class="form-horizontal" action="<%=controllerPath%>" method="post">
               <div class="form-group">
                  <label for="emailSenderName" class="col-lg-3 control-label">Email Sender: </label>
                  <div class="col-lg-9">
                     <input type="text" name="emailSenderName" id="emailSenderName" size="10" maxlength="100" value="<%=request.getAttribute("emailSenderName") %>" placeholder="Email Sender" class="form-control">
                      <span class="help-block m-b-none">Name used in the <b>Sender</b> field when generating emails containing backup reports.</span>
                  </div>
               </div>
               <div class="form-group">
                  <label for="errorRecipient" class="col-lg-3 control-label">Error Recipient: </label>
                  <div class="col-lg-9">
                     <input type="email" name="errorRecipient" id="errorRecipient" size="10" maxlength="100" value="<%=request.getAttribute("errorRecipient") %>" placeholder="Error Recipient" class="form-control">
                      <span class="help-block m-b-none">This must be a valid email address. If specified, backup reports containing errors will be sent to this address.</span>
                  </div>
               </div>
               <div class="form-group">
                  <label for="globalSelFilter" class="col-lg-3 control-label">Global Selection filter: </label>
                  <div class="col-lg-9">
                     <input type="text" name="globalSelFilter" id="globalSelFilter" size="10" maxlength="255" value="<%=request.getAttribute("globalSelFilter") %>" placeholder="Global Selection filter" class="form-control">
                      <span class="help-block m-b-none">Every client is forced to use this selection filter. <a href="http://web.synametrics.com/SyncrifySelFilterSS.htm">Click here</a> for details.</span>
                  </div>
               </div>    
               
               <div class="form-group">
                  <label for="tempFolderLocation" class="col-lg-3 control-label">Temp Folder: </label>
                  <div class="col-lg-9">
                     <input type="text" name="tempFolderLocation" id="tempFolderLocation" maxlength="255" 
                     	value="<%=request.getAttribute("tempFolderLocation") %>" 
                     	title="Path where temporary files are stored."
                     	placeholder="Path for the TEMP folder" class="form-control" required>
                     
                  </div>
               </div>  
               
               <div class="form-group">
                  <label for="repret" class="col-lg-3 control-label">Report Retention: </label>
                  <div class="col-lg-3">
                  	 <div class="input-group">
                     <input type="text" name="repret" id="repret" value="<%=request.getAttribute("repret") %>" 
                     	title="Number of days to retain reports. A -1 means reports are never deleted" class="form-control" required>
                     <div class="input-group-addon"> days</div>
                     </div>
                  </div>
               </div>  
               
               
               <!-- 
               <div class="form-group">
                  <div class="col-lg-offset-3 col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="saveClientBackupLog">
                           <input type="checkbox" name="saveClientBackupLog" id="saveClientBackupLog" <%=request.getAttribute("saveClientBackupLog") %> value="1" />
                           <span class="fa fa-check"></span>Save client log</label>
                     </div>
                    <span class="help-block m-b-none">If checked, backup log from clients will be saved on the server machine. Files will be saved in <br><b><%=request.getAttribute("clientLogFolder") %></b></span>
                  </div>
               </div>
               
               -->
               <div class="form-group">
                  <div class="col-lg-offset-3 col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="forceClientToUseFolderCache">
                           <input type="checkbox" 
	        		name="forceClientToUseFolderCache" id="forceClientToUseFolderCache" <%=request.getAttribute("forceClientToUseFolderCache") %> value="1" /> 
                           <span class="fa fa-check"></span>Force clients to use local cache</label>
                     </div>
                    <span class="help-block m-b-none">If checked, clients will be forced to use <a href="http://web.synametrics.com/SyncrifyFolderCache.htm" target="_blank" >local cache.</a></span>
                  </div>
               </div>
               <div class="form-group">
                  <div class="col-lg-offset-3 col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="ssCacheEnabled" >
                           <input type="checkbox" name="ssCacheEnabled" id="ssCacheEnabled" <%=request.getAttribute("ssCacheEnabled") %> value="1" />
                           <span class="fa fa-check"></span>Enable server-side cache</label>
                     </div>
                    <span class="help-block m-b-none">If checked, server-side cache is used which affects backups that run in <b>Server-to-client</b> direction" <a href="http://web.synametrics.com/SyncrifySSCache.htm" target="_blank" >Click here</a> for details.</span>
                  </div>
               </div>
               <div class="form-group">
                  <div class="col-lg-offset-3 col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="disableServerToClient">
                           <input type="checkbox" name="disableServerToClient" id="disableServerToClient" <%=request.getAttribute("disableServerToClient") %> value="1" />
                           <span class="fa fa-check"></span>Disable server-to-client direction</label>
                     </div>
                    <span class="help-block m-b-none">If checked, no client will be able to specify Server-To-Client for direction. <a href="http://web.synametrics.com/SyncrifyDisableS2C.htm" target="_blank" >More info</a>.</span>
                  </div>
               </div>
               
               <div class="form-group">
                  <div class="col-lg-offset-3 col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="ssSynchronize">
                           <input type="checkbox" name="ssSynchronize" id="ssSynchronize" <%=request.getAttribute("ssSynchronize") %> value="1" />
                           <span class="fa fa-check"></span>Enable Server-side Synchronization</label>
                     </div>
                    <span class="help-block m-b-none">If checked, users will be able to trigger synchronization from the web interface. <a href="http://web.synametrics.com/server-side-sync.htm" target="_blank" >More info</a>.</span>
                  </div>
               </div>
               
               <div class="form-group">
                  <div class="col-lg-offset-3 col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="brHtml">
                           <input type="checkbox" name="brHtml" id="brHtml" <%=request.getAttribute("brHtml") %> value="1" />
                           <span class="fa fa-check"></span>Backup Reports in HTML</label>
                     </div>
                    <span class="help-block m-b-none">If checked, backup reports will be generated in HTML</span>
                  </div>
               </div>
               
               
               
               <div class="form-group">
                  <div class="col-lg-offset-3 col-lg-9">
                     <div class="checkbox c-checkbox">
                        <label for="notifyAdminForNewVer">
                           <input type="checkbox" name="notifyAdminForNewVer" id="notifyAdminForNewVer" <%=request.getAttribute("notifyAdminForNewVer") %> value="1" />
                           <span class="fa fa-check"></span>New version notification</label>
                     </div>
                    <span class="help-block m-b-none">If checked, administrator is sent an email when a newer build is available.</span>
                  </div>
               </div>    
               <div class="form-group">
                  <div class="col-lg-offset-3 col-lg-9">
                     <button type="submit" class="btn btn-sm btn-primary">Save &raquo;</button>
                  </div>
               </div>
                   <input type="hidden" name="operation" value="advConfig">
                    <input type="hidden" name="st" value="save">
            </form>
         </div>
      </div>
      <!-- END panel-->
    </div>    

<%@ include file="Footer.jsp" %>