<%@ include file="Header.jsp" %>

<%
String error = (String) request.getAttribute("error");
if(error != null && error.length() > 0){
	%>
	<div role="alert" class="alert alert-danger"><%=error %></div>
	<%
}
%>
<div class="content-heading">
   <i class="fa fa-lock"></i> Modify User Password
   <small data-localize="dashboard.UserManagement"></small>
</div>
<div class="row">
	<div class="<%=mainBodyColClass%>">
		<div class="panel panel-default">
            <div class="panel-heading">Change Password</div>
			<div class="panel-body">
                <form class="form-horizontal" action="<%=controllerPath%>" method="post" >
                    <div class="notes">
                        <h4>Warning!</h4>
                        <p class="last">Ensure you use the new password when running a backup as well. Failure to use this new password will result in errors and no backup will occur.</p>
                    </div>
                    
                    <div class="form-group">
                      <label for="extPwd" class="col-lg-3 control-label">Current password:</label>
                      <div class="col-lg-9">
                        <input type="password" placeholder="Current password" name="extPwd" id="extPwd" value="" class="form-control">
                        <span class="help-block m-b-none">Value of your existing password.</span>
                      </div>
                    </div> 
                    <div class="form-group">
                      <label for="newPwd" class="col-lg-3 control-label">New password:</label>
                      <div class="col-lg-9">
                        <input type="password" placeholder="New password" name="newPwd" id="newPwd" value="" class="form-control">
                        <span class="help-block m-b-none">Value of your new password.</span>
                      </div>
                    </div> 
                    <div class="form-group">
                      <label for="newPwdC" class="col-lg-3 control-label">Confirm password:</label>
                      <div class="col-lg-9">
                        <input type="password" placeholder="Confirm password" name="newPwdC" id="newPwdC" value="" class="form-control">
                        <span class="help-block m-b-none">Confirm the new password.</span>
                      </div>
                    </div>

                    <div class="form-group">
                      <div class="col-lg-offset-3 col-lg-9">
                          <LABEL for="proceedButton">&nbsp;</LABEL>				
                         <button type="submit" name="proceedButton" title="Click here to modify your existing password" id="proceedButton" class="btn btn-sm btn-info">Change password</button>
                      </div>
                   </div>
                <input type="hidden" name="operation" value="chupwd">
                <input type="hidden" name="st" value="save">
                </form>
            </div>
        </div>
    </div>
    
<%@ include file="Footer.jsp" %>