<%@ include file="Header.jsp" %>

<!-- 
<form class="form-horizontal" action="<%=controllerPath%>" method="post" >


<%=response.encodeURL("app?operation=manageUsers") %>


 -->
 

<div class="content-heading">
		<i class="fa fa-user"></i> Feature Not Available<small data-localize="dashboard.UserManagement"></small>
	</div>
	<div class="row">
		<div class="<%=mainBodyColClass%>"> <!-- Mandatory Beginning -->
		
	
		
			<div class="panel panel-primary">
				<div class="panel-heading">Upgrade Syncrify</div>
				<div class="panel-body">
				Feature you're trying to access is only available in the Professional Edition of Syncrify. Click the button 
				below to upgrade. You will NOT have to reinstall or reconfigure Syncrify again.
				
				<center>
                     <a class="btn btn-sm btn-primary" 
                     	href="<%=response.encodeURL("app?operation=buy") %>" 
                     title="Upgrade to Professional edition">Upgrade to Professional edition</a>
                </center>
                
				</div>
			</div>
			

	
			<%
			String opp = request.getParameter("operation");
			if(opp != null && opp.equals("prj")){
				%>
				<div class="panel panel-warning">
					<div class="panel-heading">What are Shared Projects</div>
					<div class="panel-body">
					
						<div class="row">
							<div class="col-md-5">
								Share Projects allow multiple users to synchronize files belonging to a project. <br><br>
								
								<ul  style="list-style-type: square; margin:20px">
								<li>Files added or modified by one user is automatically pushed to other users sharing the same projects.</li>
								<li>Users can be granted either read/write or read-only access</li>
								<li>Optionally, encrypt files for added security</li>
								</ul>
								
								<center>
				                     <a class="btn btn-sm btn-warning" 
				                     	href="http://web.synametrics.com/syncrify-shared-projects.htm" 
				                     title="Click to learn more about Shared Projects">Details</a>
				                </center>
								 
							</div>
							<div class="col-md-7">
								<img src="images/SharedProjects.png" class="img-responsive center-block">
							</div>
						</div>
					
	                
					</div>
			    </div>
				<%
			}else if(opp != null && opp.equals("sbConfig")){
				%>
				<div class="panel panel-warning">
					<div class="panel-heading">What is SyncriBox</div>
					<div class="panel-body">
						<div class="row">
							<div class="col-md-5">
								Synchronize files across multiple machines belonging to the same user. For example, users can 
								synchronize an important folder across their desktop, laptop and a Mac.
								
								<h3>Benefits</h3>
								<ul style="list-style-type: square; margin:20px">
									<li>Devices can be inside your LAN or across the Internet</li>
									<li>Files are synchronized as soon as a change is detected</li>
									<li>Optionally, encrypt files for added security</li>
									
								</ul> 
								<center>
				                     <a class="btn btn-sm btn-warning" 
				                     	href="http://web.synametrics.com/syncrbox.htm" 
				                     title="Click to learn more about SyncriBox">Details</a>
				                </center> 
							</div>
							<div class="col-md-7">
								<img src="images/SyncriBoxSync.png" class="img-responsive center-block">
							</div>
						</div>
					</div>
				</div>
				<%
			}
			else if(opp != null && opp.equals("drsc")){
				%>
				<div class="panel panel-warning">
					<div class="panel-heading">What is Disaster Recovery</div>
					<div class="panel-body">
						<div class="row">
							<div class="col-md-5">
								Disaster Recovery provide fault-tolerant capabilities to your Syncrify Server by using a
								Master-Slave configuration. If your Master Syncrify Server goes down, clients can connect to 
								the Slave within minutes. 
								
								<h3>Benefits</h3>
								<ul style="list-style-type: square; margin:20px">
									<li>Provides fault-tolerance for Syncrify Server</li>
									<li>Files are synchronized automatically after every backup</li>
									<li>No additional licensing required</li>
									
								</ul>
								
								
								<center>
				                     <a class="btn btn-sm btn-warning" 
				                     	href="http://web.synametrics.com/SyncrifyDR.htm" 
				                     title="Click to learn more about Disaster Recovery">Details</a>
				                     
				                     <a class="btn btn-sm btn-primary" 
				                     	href="app?operation=drsc&st=sts" 
				                     title="Switch this server to a DR-Slave">Switch To Slave</a>
				                </center> 
							</div>
							<div class="col-md-7">
								<img src="http://web.synametrics.com/resources/SyncrifyDR.png" class="img-responsive center-block">
							</div>
						</div>
					</div>
				</div>
				
				
				<%
			}else if(opp != null && opp.equals("cloud")){
				%>
				
				<div class="panel panel-warning">
					<div class="panel-heading">What are Cloud Snapshots</div>
					<div class="panel-body">
						<div class="row">
							<div class="col-md-5">
								The design goal of this feature is to create a backup of the backed up data to a public cloud.
								
								<h3>Benefits</h3>
								<ul style="list-style-type: square; margin:20px">
									<li>Create snapshots to public cloud</li>
									<li>Configurable backup frequency</li>
									<li>No additional licensing required</li>
									
								</ul>
								
								
								<center>
				                     <a class="btn btn-sm btn-warning" 
				                     	href="http://web.synametrics.com/syncrify-cloud.htm" 
				                     title="Click to learn more about Disaster Recovery">Details</a>
				                </center> 
							</div>
							<div class="col-md-7">
								<img src="http://web.synametrics.com/resources/SyncrifyCloud.png" class="img-responsive center-block">
							</div>
						</div>
					</div>
				</div>
				
				
				<%
			}
			%>
				
		</div> <!-- Mandatory ending -->
		
		

<%@ include file="Footer.jsp" %>

