<%@ include file="Header.jsp" %>

<!-- 
<form class="form-horizontal" action="<%=controllerPath%>" method="post" >
<%=response.encodeURL("app?operation=manageUsers") %>
 -->
 
 
<%
if(request.getAttribute("errorMsg") != null){
	%>
	<div class="alert alert-danger"><h4>Error</h4><%= request.getAttribute("errorMsg") %></div>
	<%
}
if(request.getAttribute("infoMsg") != null){
	%>
	<div class="alert alert-info"><%= request.getAttribute("infoMsg") %></div>
	<%
}
%>



<div class="content-heading">
		<i class="fa fa-user"></i> Authentication
		<small data-localize="dashboard.UserManagement"></small>
		<%@ include file="Breadcrumbs.jsp" %>
		
	</div>
	<div class="row">
		<div class="<%=mainBodyColClass%>">
			<div class="panel panel-primary">
				<div class="panel-heading">Two-Factor Authentication</div>
				<div class="panel-body">
				
				
				<!-- START HERE -->
				
				
				<div class="row">
					<div class="col-md-6 col-md-offset-3">
					
						<%
						String autoComplete = System.getProperty("set.login.autocomplete", "off").equals("off") ? "autocomplete=\"off\"" : "";
						if(request.getSession().getAttribute("tfaRecordType") != null && request.getSession().getAttribute("tfaRecordType").equals("email")){
							%>
							<h2>Two-Factor Authentication <small>via email</small></h2>
							Your account has been setup for 2-Factor authentication. An email has been sent to <b><%= request.getSession().getAttribute("tfaRecordData")%></b> containing a 6 digit code. Enter that code below.
							<%
						}else if(request.getSession().getAttribute("tfaRecordType") != null && request.getSession().getAttribute("tfaRecordType").equals("totp")){
							%>
							<h2>Two-Factor Authentication <small>using TOTP</small></h2>
							Your account has been setup for 2-Factor authentication. Verify your identity with an authenticator app running on your phone or tablet.
							<%
						}
						%>
						<h3>Enter Code</h3>
						<form class="form-inline" action="<%=controllerPath%>" method="POST" <%=autoComplete %>>
							  <div class="form-group">
							    <label for="twofacode">Code:</label>
							    <input type="text" class="form-control" name="twofacode" id="twofacode" value="" required>
							  </div>
							 

							  <button type="submit" class="btn btn-default" name="proceedButton" id="proceedButton" value="Proceed">Proceed</button>
							  
							  <input type="hidden" name="st" value="2fa" />
							  <input type="hidden" name="operation" value="login" />
								
						</form>
								
						</div>
					</div>
				<!-- END HERE -->
				</div>
			</div>
		</div> <!-- Mandatory ending -->

<%@ include file="Footer.jsp" %>