<%@ include file="TipHeader.jsp" %>

    
<div class="row">
<div class="col-md-9 col-sm-12">
  <!-- START panel-->
  <div class="panel panel-default">
     <div class="panel-heading">Modify User</div>
     <div class="panel-body">
        <form class="form-horizontal" action="<%=controllerPath%>" target="_parent" method="post">
           <div class="form-group">
              <label class="col-lg-3 control-label">Login Email:</label>
              <div class="col-lg-9">
                 <input type="email" placeholder="Login Email" value="<%=request.getAttribute("login") == null ? "" : request.getAttribute("login") %>" disabled class="form-control">
              </div>
           </div>
           <div class="form-group">
              <label class="col-lg-3 control-label">User's Name:</label>
              <div class="col-lg-9">
                 <input type="text" placeholder="User's Name" value="<%=request.getAttribute("fullName") == null ? "" : request.getAttribute("fullName") %>" name="fullName" size="30" class="form-control">
                  <span class="help-block m-b-none">User's full name.</span>
              </div>
           </div>
            <%
	       if(request.getAttribute("displayEmail") != null){
		   %>
           <div class="form-group">
              <label class="col-lg-3 control-label">Email:</label>
              <div class="col-lg-9">
                 <input type="text" placeholder="Email" value="<%=request.getAttribute("reportRecipient") == null ? "" : request.getAttribute("reportRecipient") %>" name="reportRecipient" size="30" class="form-control">
                  <span class="help-block m-b-none">Reports will be sent to this email address.</span>
              </div>
           </div>
            <%
             }
            %>
           <div class="form-group">
              <label class="col-lg-3 control-label">Password:</label>
              <div class="col-lg-9">
                 <input type="password" placeholder="Password" value="<%=request.getAttribute("password") == null ? "" : request.getAttribute("password") %>" name="password" size="30" class="form-control">
                  <span class="help-block m-b-none">Assign a new password for this user</span>
              </div>
           </div>
           
           <div class="form-group">
               <label class="col-lg-3 control-label">User Group:</label>
               <div class="col-lg-9">
                  <select name="dgid" title="User's Group" class="form-control">
                  	<%= request.getAttribute("groupOptions") %>
                  	
                  </select>
               </div>
            </div>
                   
                   
           <div class="form-group">
               <label class="col-lg-3 control-label">Active:</label>
              <div class=" col-lg-9">
                 <div class="checkbox c-checkbox">
                    <label>
                     <input type="checkbox" <%=request.getAttribute("active") == null ? " checked='checked' " : "" %> name="active" value="1" >
                       <span class="fa fa-check"></span></label>  
                 </div>
                  <span class="help-block m-b-none">Uncheck this box to deactivate a user temporarily</span>
              </div>
           </div>        
           <div class="form-group">
              <label class="col-lg-3 control-label">Max Versions:</label>
              <div class="col-lg-9">
                 <input type="text" placeholder="Max Versions" value="<%=request.getAttribute("numVersionsToKeep") == null ? "" : request.getAttribute("numVersionsToKeep") %>" name="numVersionsToKeep" size="5" class="form-control">
                  <span class="help-block m-b-none">Maximum number of versions to keep on the server</span>
              </div>
           </div>
           <div class="form-group">
              <label class="col-lg-3 control-label">Disk Quota:</label>
              <div class="col-lg-9">
                 <input type="text" placeholder="Disk Quota" value="<%=request.getAttribute("diskQuota") == null ? "" : request.getAttribute("diskQuota") %>" name="diskQuota" size="5" class="form-control">
                  <span class="help-block m-b-none">Maximum disk space allowed for this user. -1 means no limits. Use acronyms for higher values. Ex. 10gb, 500mb</span>
              </div>
           </div>
           <div class="form-group">
              <label class="col-lg-3 control-label">Selection filter:</label>
              <div class="col-lg-9">
                 <input type="text" placeholder="Selection filter" value="<%=request.getAttribute("selFilter") == null ? "" : request.getAttribute("selFilter") %>" name="selFilter" size="20" class="form-control">
                  <span class="help-block m-b-none">Selection filter allow administrators to restrict certain files from backing up.</span>
              </div>
           </div>    
           <div class="form-group">
              <label class="col-lg-3 control-label">Bandwidth Throttling:</label>
              <div class="col-lg-9">
                 <input type="text" placeholder="Bandwidth Throttling" value="<%=request.getAttribute("requiredBandwidthInKBPS") == null ? "0" : request.getAttribute("requiredBandwidthInKBPS") %>" name="requiredBandwidthInKBPS" size="5" class="form-control">
                  <span class="help-block m-b-none">Maximum transfer speed in KB per second.</span>
              </div>
           </div>
           <%
            if(request.getAttribute("daysForDeleteRetention") != null){
                %>
               <div class="form-group">
                  <label class="col-lg-3 control-label">Delete Retention Days:</label>
                  <div class="col-lg-9">
                     <input type="text" placeholder="Delete Retention Days" value="<%=request.getAttribute("daysForDeleteRetention") == null ? "0" : request.getAttribute("daysForDeleteRetention") %>" name="daysForDeleteRetention" size="5" class="form-control">
                      <span class="help-block m-b-none">Number of days to retain deleted files.</span>
                  </div>
               </div>
                <%
            } 
            %>

            <%
            if(request.getAttribute("allowIPRestrictionViaGui") != null){
                %>
                <div class="form-group">
                  <label class="col-lg-3 control-label">Allowed hosts:</label>
                  <div class="col-lg-9">
                     <input type="text" placeholder="Allowed hosts" value="<%=request.getAttribute("allowedIPAddresses") == null ? "" : request.getAttribute("allowedIPAddresses") %>" name="allowedIPAddresses" size="25" class="form-control">
                      <span class="help-block m-b-none">Specify IP addresses separated by a comma, <b>localhost</b>, or <b>intranet</b>.</span>
                  </div>
               </div> 
                <%
            }
            %>        
           <div class="form-group">
              <div class="col-lg-offset-3 col-lg-9">
                 <button type="submit" class="btn btn-sm btn-primary">Save User</button>
              </div>
           </div>
            <input type="hidden" name="operation" value="manageUsers">
            <input type="hidden" name="st" value="saveUser">
            <input type="hidden" name="email" value="<%=request.getParameter("email")%>">            
        </form>
     </div>
  </div>
  <!-- END panel-->
</div>
                </div>
<%@ include file="TipFooter.jsp" %>