<%@ page import="java.util.*, com.synametrics.syncrify.bean.ActiveJobBean" %>

<br><br>
<fieldset>   
<legend>Concurrent vs New Jobs - Last <%= request.getAttribute("th") %> Hours</legend>

<%
List<ActiveJobBean> graphData = (List<ActiveJobBean>) request.getAttribute("jobHistoryGraph");

StringBuffer labelBuffer = new StringBuffer();
StringBuffer countBuffer = new StringBuffer();

StringBuffer totalJobBuffer = new StringBuffer();


for(ActiveJobBean oneBean : graphData){
	labelBuffer.append("'").append(oneBean.getSlotTimeAsString()).append("',");
	countBuffer.append("'").append(oneBean.getConcurrentJobs()).append("',");
	totalJobBuffer.append("'").append(oneBean.getTotalNewJobs()).append("',");
	
}


%>

<script>
// CHART PIE
// -----------------------------------
(function(window, document, $, undefined) {    
    $(function(){
        if (typeof Chart === 'undefined') return;
   

    
    var jobChartData = {
    		
    	
        labels: [
            <%= labelBuffer.toString() %>
        ],
        datasets: [{
        	label: "Concurrent Jobs",
        	backgroundColor: '#0572c2',
			borderColor: '#0572c2',
            data: [<%= countBuffer.toString() %>],
            fill: false,
           
        }, {
        	label: "New Jobs",
        	backgroundColor: '#5a7d5c',
			borderColor: '#5a7d5c',
            data: [<%= totalJobBuffer.toString() %>],
            fill: false,
           
        }],
        
    };
    
    
    

    var jbarOptions = {
   		legend: {
            display: true
        },
        responsive: true,
		title: {
			display: false,
			text: ''
		},
		tooltips:{
			mode: 'index',
			intersect: true
		},
		hover: {
			mode: 'nearest',
			intersect: true
		},
		scales: {
			xAxes: [{
				display: true,
				scaleLabel: {
					display: true,
					labelString: 'Time'
				}
			}],
			yAxes: [{
				display: true,
				scaleLabel: {
					display: true,
					labelString: 'Num Connections'
				}
			}]
		}
        
    
    };
    var jBarctx = document.getElementById('panelJobHistoryChart').getContext('2d');
    var jobBarChart = new Chart(jBarctx, {
        data: jobChartData,
        type: 'line',
        options: jbarOptions
    });

    });
})(window, document, window.jQuery);
</script>
	
	
<canvas id="panelJobHistoryChart"></canvas>


</fieldset>
