<%@ include file="Header.jsp" %>

<%
String imgAlive = "images/arrowUp.png";
String imgDead = "images/arrowDown.png";

String lblAlive = "Server is able to see the client.";
String lblDead = "Server cannot contact the client. Refer to details below.";
%>

<div class="content-heading">Upcoming and missed backup jobs
<%@ include file="Breadcrumbs.jsp" %>
</div>
    
<div class="row">
<div class="<%=mainBodyColClass%>">
  <!-- START panel-->
  <div class="panel panel-default">
     <div class="panel-heading">Job Details</div>
     <div class="panel-body">
        <div role="tabpanel">
           <!-- Nav tabs-->
           <ul role="tablist" class="nav nav-tabs">
              <li role="presentation" class="active"><a href="#tab1" aria-controls="tab1" role="tab" data-toggle="tab" aria-expanded="true">Upcoming jobs</a>
              </li>
              <li role="presentation" class=""><a href="#tab2" aria-controls="tab2" role="tab" data-toggle="tab" aria-expanded="false">Missed jobs</a>
              </li>
           </ul>
           <!-- Tab panes-->
           <div class="tab-content">
              <div id="tab1" role="tabpanel" class="tab-pane active"><%@ include file="ReportUpcomingJobs.jsp" %></div>
              <div id="tab2" role="tabpanel" class="tab-pane"> <%@ include file="ReportMissedJobs.jsp" %> </div>
           </div>
        </div>
            <b>Current time on server:</b> <%=request.getAttribute("currentTimeOnServer") %>  
            <br><br>
            <b>NOTE: </b>
            Next/expected runtime may be slightly off. This occurs when the clocks on server and client machines are not synchronized. Additionally, the times you see on this screen 
            are with respect to server's clock.

            <br><br>
            <a href="http://web.synametrics.com/SyncrifyUMReport.htm#missingRecords" target="_blank">Click here</a> if you don't see records every record in this report. Additionally, if 
            you see a <img class="img-responsive" src="<%= imgDead %>" /> next to a record, that means Syncrify server is not able to communicate with Syncrify client. This occurs when the client machine is:
            <ul class="syn">
                <li>Turned off or sleeping</li>
                <li>Not on the network</li>
                <li>Backup monitor service is not running (Windows only)</li>
            </ul>

            <h3>Color coding</h3>
            The missed records are displayed in different colors. 
            <ul class="syn">
                <li><span style="color:red"><strong>Red</strong></span> - These records are over 2 days old</li>
                <li><span style="color:blue"><strong>Blue</strong></span> - Records less then 2 days old</li>
                <li><span style="color:#AAAAAA"><strong>Grey</strong></span> - Recently missed records. These could appear if the clocks are not synchronized.</li>
                <li><span style="color:black"><strong>Black</strong></span> - Future records.</li>
            </ul>  
     </div>
  </div>
  <!-- END panel-->
</div>

<%@ include file="Footer.jsp" %>
