<%@ include file="Header.jsp" %>

<!-- 
<form class="form-horizontal" action="<%=controllerPath%>" method="post" >
<%=response.encodeURL("app?operation=manageUsers") %>
 -->
 
 
<%
if(request.getAttribute("errorMsg") != null){
	%>
	<div class="alert alert-danger"><h4>Error</h4><%= request.getAttribute("errorMsg") %></div>
	<%
}
if(request.getAttribute("infoMsg") != null){
	%>
	<div class="alert alert-info"><%= request.getAttribute("infoMsg") %></div>
	<%
}
%>



<div class="content-heading">
		<i class="fa fa-building"></i> Server Defaults
		<small data-localize="dashboard.UserManagement"></small>
		<%@ include file="Breadcrumbs.jsp" %>
		
	</div>
	<div class="row">
		<div class="<%=mainBodyColClass%>">
			<div class="panel panel-primary">
				<div class="panel-heading"></div>
				<div class="panel-body">

				<!-- BODY GOES HERE -->
				
				
				<p>Specify default values for parameters used Syncrify.</p>
				
				
				
				<form class="form-horizontal">
				  <legend>When Managing Users</legend>
				  
				  <div class="form-group">
				    <label for="maxVer" class="col-sm-5 control-label">Max Versions</label>
				    <div class="col-sm-7">
				      <input type="number" class="form-control" id="maxVer" name="maxVer" value="<%= request.getAttribute("maxVer") %>" title="Maximum versions to assign a new user">
				    </div>
				  </div>
				  
				  <div class="form-group">
				    <label for="dQuota" class="col-sm-5 control-label">Disk Quota</label>
				    <div class="col-sm-7">
				      <input type="text" class="form-control" id="dQuota" name="dQuota" value="<%= request.getAttribute("dQuota") %>" title="Amount of disk quota to assign a new user">
				    </div>
				  </div>
				  
				  <div class="form-group">
				    <label for="dRet" class="col-sm-5 control-label">Days for Delete Retention</label>
				    <div class="col-sm-7">
				      <input type="text" class="form-control" id="dRet" name="dRet" value="<%= request.getAttribute("dRet") %>" title="Number of days to retain files on the server">
				    </div>
				  </div>
				  
				  <div class="form-group">
				    <div class="col-sm-offset-5 col-sm-7">
				      <div class="checkbox">
				        <label>
				          <input type="checkbox" name="nofu" 
				          title="If checked, Manager Users screen will display every user when the page is opened first."
				          <%= (request.getAttribute("nofu").equals("1") ? "checked" : "") %>
				          > Do not filter users
				        </label>
				      </div>
				    </div>
				  </div> 
				  
				  <!-- 
				  <div class="form-group">
				    <div class="col-sm-offset-3 col-sm-9">
				      <div class="checkbox">
				        <label>
				          <input type="checkbox"> Remember me
				        </label>
				      </div>
				    </div>
				  </div> -->
				  <div class="form-group">
				    <div class="col-sm-offset-5 col-sm-7">
				      <button type="submit" class="btn btn-warning">Save</button>
				    </div>
				  </div>
				  
				  <input type="hidden" name="operation" value="sdef">
				  <input type="hidden" name="st" value="s">
				  
				  
				</form>
				
				
				<!-- BODY ENDS HERE -->


				</div>
			</div>
		</div> <!-- Mandatory ending -->

<%@ include file="Footer.jsp" %>