<%@ include file="SetupTop.jsp" %>

<script language=javascript>
function hiddentext() {
    document.all['process'].style.visibility ="hidden";
}

function submit_form() {
    document.all['process'].style.visibility ="visible"; 
    document.getElementById("imgNext").disabled = true;
    document.getElementById("imgNext").style.cursor="wait";
    document.form1.submit();
}
</script>
    
    <div class="panel-heading">Firewall Configuration</div>
    <div class="panel-body">
        <%
		String fieldName = "Configure Firewall:";
		
		String configLocal = (String) request.getAttribute("configLocalFW"); //1 means Windows firewall is configurable, 2 means Windows firewall is not configurable
																				//3 means not running on Windows
	
		
		if(configLocal.equals("1")){
			fieldName = "Configure both firewalls:";
			%>
			<!-- Local as well as network firewall configuration -->
			<p>You will have to configure firewalls before using Syncrify. Typically, there are two firewalls:</p>
			<ol>
				<li><b>Windows firewall on this machine</b></li>
				<!--  <li><b>Network firewall/router</b></li> -->
			</ol>
			<p>Check the box below to configure these firewalls.</p>
			<%
		}else if(configLocal.equals("2")){
			//Program never comes here after March 11, 2021
			%>
			<!-- Local firewall must be done manually -->
			<p>You will have to configure firewalls before using Syncrify. Typically, there are two firewalls:</p>
			
			<ol>
				<li><b>Windows firewall on this machine</b></li>
				<li><b>Network firewall/router</b></li>
			</ol>
			
			<p>Check the box below to configure the network firewall. You must configure the Windows firewall manually.</p>
			<%
		}else{
			//Program never comes here after March 11, 2021
			%>
			<!-- Network firewall configuration -->
			<p>You will have to configure firewalls before using Syncrify. Check the box below to configure network firewall. This can only be done if UPnP feature is enabled on your firewall.</p>
			<%
		}
		%>
        <form name="form1"  action="<%=controllerPath%>" method="post" onsubmit="submit_form()" class="form-horizontal">
            <%
			if(configLocal.equals("1")){
			%>
            <div class="form-group">
               <label class="col-sm-3 control-label">Windows Firewall:</label>
               <div class="col-sm-9">
                  <div class="checkbox c-checkbox needsclick">
                     <label class="needsclick">
                        <input type="checkbox" value="configFWLocal" name="configFWLocal" checked="checked">
                        <span class="fa fa-check"></span></label>
                  </div>
               </div>
            </div>
			<%
			}
			%>
			
			<!-- 
            <div class="form-group">
               <label class="col-sm-3 control-label">Network Router:</label>
               <div class="col-sm-9">
                  <div class="checkbox c-checkbox needsclick">
                     <label class="needsclick">
                        <input type="checkbox" value="configFW" name="configFW" checked="checked">
                        <span class="fa fa-check"></span></label>
                  </div>
                   <span class="help-block m-b-none"><b>Note: </b>Network router is only configured if 
                   <a href="http://en.wikipedia.org/wiki/Universal_Plug_and_Play" title="Universal Plug and Play" target="_blank">UPnP</a> is enabled.
                   </span>
               </div>
            </div>
            
            -->
            <p>Click the next button when ready.</p>
            <div align="right">
                <button id="imgNext" class="btn btn-default"><i class="fa fa-arrow-right" style="font-size: 72px;"></i></button>
                <div id=process>Processing. Please wait...</div>
            </div>
            <input type="hidden" name="operation" value="setup" />
            <input type="hidden" name="st" value="saveUpnp" />
            <input type="hidden" name="configLocal" value="<%=configLocal%>">
        </form>       
    </div>
    
			
				
	
<script>
hiddentext();
</script>
<%@ include file="SetupBottom.jsp" %>