<%@ include file="Header.jsp" %>

<div class="content-heading">
  <i class="fa fa-user"></i>Switch to static IP
</div>
<blockquote class="box-placeholder">
	The network on this machine is configured to obtain an IP address from a DHCP server. We strongly recommend changing the machine's IP address to a static value.
	Please refer to the values below, modify if necessary and click save.
</blockquote>
<div class="row">
  <div class="<%=mainBodyColClass%>">
    <div class="panel panel-default">
			<div class="panel-heading">Network configuration</div>
      <div class="panel-body">



<form action="<%=controllerPath%>" method="post" >

<fieldset>
<legend>Following values were obtained from the current network settings, which were obtained from a DHCP server.</legend>
<%-- <DIV class="notes">
	<H4>Network configuration</H4>
	<P class="last">
		Following values were obtained from the current network settings, which were obtained from a DHCP server.
	</P>
</DIV> --%>

<fieldset>
	<div class="form-group clearfix">
		<LABEL class="col-sm-2 control-label" for="ipAddress">IP Address:</LABEL>
		<div class="col-sm-10">
<INPUT class="form-control" type="text" name="ipAddress" id="ipAddress" class="inputText" value="<%= request.getAttribute("ipAddress") == null ? "" : request.getAttribute("ipAddress") %>" />
			<span class="help-block m-b-none">IP Address for this machine.</span>
		</div>

	</div>
</fieldset>

<fieldset>
	<div class="form-group clearfix">
		<LABEL class="col-sm-2 control-label" for="subnetMask">Subnet mask:</LABEL>
		<div class="col-sm-10">
				<INPUT  class="form-control" type="text" name="subnetMask" id="subnetMask" class="inputText" value="<%= request.getAttribute("subnetMask") == null ? "" : request.getAttribute("subnetMask") %>" />
			<span class="help-block m-b-none">Subnet mask</span>
		</div>

	</div>
</fieldset>

<fieldset>
	<div class="form-group clearfix">
		<LABEL class="col-sm-2 control-label"  for="gateway">Default gateway:</LABEL>
		<div class="col-sm-10">
				<INPUT class="form-control" type="text" name="gateway" id="gateway" class="inputText" value="<%= request.getAttribute("gateway") == null ? "" : request.getAttribute("gateway") %>" />
			<span class="help-block m-b-none">default gateway.</span>
		</div>

	</div>
</fieldset>

<fieldset>
	<div class="form-group clearfix">
		<LABEL class="col-sm-2 control-label" for="dnsServer">DNS servers:</LABEL>
		<div class="col-sm-10">
			<INPUT class="form-control" type="text" name="dnsServer" id="dnsServer" class="inputText" value="<%= request.getAttribute("dnsServer") == null ? "" : request.getAttribute("dnsServer") %>" />
			<span class="help-block m-b-none">DNS servers. Use a SPACE to separate more than one server..</span>
		</div>

	</div>
</fieldset>

<div class="form-group clearfix">
	<LABEL class="col-sm-2 control-label" for="proceedButton">&nbsp;</LABEL>
	<div class="col-sm-10">
		<button type="submit" class="btn btn-sm btn-primary" name="proceedButton" id="proceedButton" value="Save" >Save</button
	</div>
</div>

</fieldset>

<input type="hidden" name="operation" value="config" />
<input type="hidden" name="st" value="switchToStaticIPSave" />

</form>
</div>
</div>
</div>


<%@ include file="Footer.jsp" %>
