<%@page import="java.util.List, com.synametrics.syncrify.bean.*"%>


<%@ include file="Header.jsp"%>

<div class="content-heading">
    <div class="pull-right">
    
    
      <a class="btn btn-default" href="<%=response.encodeURL("app?operation=repExp") %>" title="Click here to manage repository exception" ><i class="icon-settings"></i> Repository Exceptions </a>
      <a class="btn btn-primary" href="<%=response.encodeURL("app?operation=manageUsers&st=mug") %>" title="Click here to manage repository exception" ><i class="icon-settings"></i> Manage User Groups </a>
      
      
      <%
        String urlForNewUser = (String)request.getAttribute("urlForNewUser");

        if(urlForNewUser == null || urlForNewUser.length() == 0){ %>
        <a class="btn btn-warning" onclick="showdiv('addUserDiv')" title="Click here to add a new user" ><i class="icon-user-follow"></i> Add a new user</a>
        <%
        }else{ %>
        <a class="btn btn-warning" href="<%=urlForNewUser %>" title="Click here to add a new user" ><i class="icon-user-follow"></i> Add a new user</a>
        <% }%>
   </div>
    <i class="fa fa-cogs"></i> User Management
   <small data-localize="dashboard.UserManagement"></small>
   <%@ include file="Breadcrumbs.jsp" %>
</div>

<div class="row"> 
       <div class="col-md-8">
          <!-- START panel-->
          <div class="panel panel-default" id="addUserDiv" style="display:none">
             <div class="panel-heading">Add New User</div>
              
            <script language="javascript" type='text/javascript'>
                function showdiv(divName) {
                    document.getElementById(divName).style.display = 'block';
                }
            </script>

            <script type="text/javascript" language="javascript" src="ajaxopenfiledlg/ajaxopenfiledlg.nocache.js"></script>
                <%if(request.getAttribute("errorMessage") != null){ %>
                    <div class="alert alert-danger"><%=request.getAttribute("errorMessage") %></div><br><br>
                <% }

                if(request.getAttribute("infoMessage") != null){ %>
                    <br><br>
                    <table class="infoTable" width="100%">
                        <tr><td><%=request.getAttribute("infoMessage") %></td></tr>
                    </table>
                    <br><br>
                <% } %>
                
                
             <div class="panel-body">
                <form action="<%=controllerPath%>" method="post" class="form-horizontal" accept-charset="UTF-8">
                    <input type="hidden" name="defaultPathValue" id="defaultPathValue" value="<%= request.getAttribute("defaultRepPath") == null ? "" : request.getAttribute("defaultRepPath") %>" />
                   <div class="form-group">
                      <label class="col-lg-3 control-label">User's Full Name:</label>
                      <div class="col-lg-9">
                         <input type="text" name="fullName" id="fullName" title="Full name of the user" placeholder="User's Full Name" class="form-control">
                      </div>
                   </div>
                    <div class="form-group">
                      <label class="col-lg-3 control-label">User's Email:</label>
                      <div class="col-lg-9">
                         <input type="email" name="login" id="login" placeholder="User's Email" autocomplete="off" title="Email address serves a login ID" class="form-control">
                      </div>
                   </div>
                   <div class="form-group">
                      <label class="col-lg-3 control-label">Password</label>
                      <div class="col-lg-9">
                         <input type="password" placeholder="Password" name="password" id="password" autocomplete="off" title="Password used for authentication" class="form-control">
                      </div>
                   </div>
                   
                   <div class="form-group">
                      <label class="col-lg-3 control-label">User Group:</label>
                      <div class="col-lg-9">
                         <select name="dgid" title="User's Group" class="form-control">
                         	<%= request.getAttribute("groupOptions") %>
                         	
                         </select>
                      </div>
                   </div>
                   
                   
                    <div class="form-group">
                      <label class="col-lg-3 control-label">Max Versions:</label>
                      <div class="col-lg-9">
                         <input type="number" name="numVersionsToKeep" id="numVersionsToKeep" size="5" value="<%= request.getAttribute("defMaxVersions") %>" title="Number of versions to keep on the server. 0 means versioning is disabled." placeholder="Max Versions" class="form-control">
                      </div>
                   </div>
                   
                   
                   <div class="form-group">
                      <label class="col-lg-3 control-label">Disk Quota:</label>
                      <div class="col-lg-9">
                         <input type="text" name="diskQuota" id="numVersionsToKeep" size="5" value="<%= request.getAttribute("defQuota") %>" title="Maximum disk space allowed for this user. -1 means no limits" placeholder="Disk Quota" class="form-control">
                      </div>
                   </div>
                   <div class="form-group">
                      <label class="col-lg-3 control-label">Repository path:</label>
                      <div class="col-lg-9">
                         <div id="path" title="Location where the backup files are stored on the server."></div>
                      </div>
                   </div>
                   
                   
                   <div class="form-group">
                       <div class="col-lg-offset-3 col-lg-9">
                          <div class="checkbox c-checkbox">
                             <label>
                                <input type="checkbox" checked="1" name="notify" value="1" title="An email is sent to the user regarding this new account">
                                <span class="fa fa-check"></span>Notify User Via Email</label>
                          </div>
                       </div>
                    </div>
                           
                           
                   

                   
                   <div class="form-group">
                      <div class="col-lg-offset-3 col-lg-9">
                         <button type="submit" title="Click here to add a new shared folder" class="btn btn-sm btn-primary" >Create</button>
                        <div id="browse"></div>
                       </div>
                   </div>
                    <input type="hidden" name="operation" value="manageUsers" />
	               <input type="hidden" name="st" value="addUser" />
	               <input type="hidden" name="skcsrf" value="<%= System.currentTimeMillis() %>" >
                </form>
             </div>
          </div>
          <!-- END panel-->
       </div>
<%

if(request.getAttribute("errorMsg") != null){
	%>
	<div class="alert alert-danger"><h4>Error</h4><%= request.getAttribute("errorMsg") %></div>
	<%
}


String infoMsg = (String) request.getAttribute("infoMsg");
if(infoMsg != null){
	%>
	<div class="alert alert-info"><%= infoMsg %></div>
	<%
}


List<UserBean> users = (List<UserBean>) request.getAttribute("users");
String opp4MngUsers = response.encodeURL("app?operation=manageUsers");

if(users != null && users.size() > 0){
	
	%>
	
		
        <div class="<%=mainBodyColClass%>">
          <div class="panel panel-default">
             <div class="panel-heading">
	             <div class="row">
	             	<div class="col-md-9"><h2>Existing Users</h2><b>Total users:</b> <%=users.size() %>            	</div>
	             	<div class="col-md-3 pull-right">
	             	
	             	<label for="filter_dgid">Filter Users By Group</label>
		             <select name="dgid" id="filter_dgid" class="form-control">
		                <option value="-1">No Filter - Display All</option>
		             	<%= request.getAttribute("groupOptions") %>
		             </select>
		             
		             
		             <script>
		             $('#filter_dgid').bind('change', function () { // bind change event to select
		                 var selGroupId = $(this).val(); // get selected value
		                 if (selGroupId != '') { // require a URL
		                     window.location = '<%=response.encodeURL("app?operation=manageUsers") %>' + '&dgid=' + selGroupId; // redirect
		                 }
		                 return false;
		             });
		             </script>
	             	</div>
	             </div>
             </div>
             
             <div class="panel-body">
                <div class="table-responsive">
                
                   <%@ include file="UserDiskUsageGraph.jsp"%>
                
                
                
                   <table class="appTable table table-hover">
                      <thead>
                         <tr>
                            <th title="Email address, which is also used as a login ID">Email</th>
                            <th title="Path were files are stored on the server">Repository Path</th>
                            <th title="Total disk space used compared to their assigned quota">Disk used / Quota</th>
                            <th title="Total profiles for this user">Profiles</th>
                            <th style="text-align:center;">Action</th>
                         </tr>
                      </thead>
                       <%
                        for(int i = 0; i < users.size(); i++){
                            String loginStyle = "";
                            if(!users.get(i).isActive()){
                                loginStyle = " style='text-decoration:line-through;' ";
                            }
                        %>
                      <tbody>
                         <tr>
                            <td<%=loginStyle %>><a href="<%=opp4MngUsers %>&st=las&email=<%=users.get(i).getLoginEncoded()%>" title="Click to login as <%=users.get(i).getFullName() %>"><em class="icon-user-follow"> </em> </a> <%=users.get(i).getFormattedLogin() %></td>
                            <td><a href="<%=opp4MngUsers %>&st=mrp&email=<%=users.get(i).getLoginEncoded()%>" title="Modify repository path"><i class="fa fa-pencil"> </i></a> <%=users.get(i).getRepositoryPath() %></td>
                            <td><a class="btn-sm btn-outline" href="<%=opp4MngUsers %>&st=rdu&email=<%=users.get(i).getLoginEncoded()%>"
                                   title="Recalculate disk usage for <%=users.get(i).getLogin() %>"
                                   ><i class="fa fa-refresh syn_orange"></i></a> 

                                <% if(users.get(i).getDaysForDeleteRetention() > 0){ %>  

                                <a class="btn-sm btn-outline" href="<%=opp4MngUsers %>&st=ddc&email=<%=users.get(i).getLoginEncoded()%>"
                                   title="View files that have been deleted on the client but are retained on the server"
                                   ><i class="fa fa-tasks syn_green" styleXX="color: #00b359"></i></a>
                                <%}else{%>
                                   <span class="btn-sm btn-outline"><i class="fa fa-tasks syn_grey" title="Delete retention is disabled for <%=users.get(i).getLogin() %>"></i></span>
                                <%					
                                }
                                %>
                                <a href="<%=opp4MngUsers %>&st=ddh&email=<%=users.get(i).getLoginEncoded() %>" title="Display Disk Usage History" ><%= users.get(i).getFormattedDiskUsage()%></a></td>
                            <td><%=users.get(i).getProfileCount() %>
                                <%
                                if(users.get(i).getProfileCount() > 0){
                                    %>
                                    <a href="<%=opp4MngUsers %>&st=viewProfile&email=<%=users.get(i).getLoginEncoded() %>" title="Click here to view profiles for this user">
                                    (View)
                                    </a>
                                    <%
                                }
                                %>

                            </td>
                            <td style="text-align:center;"><a class="btn-sm btn-inverse btn-outline" href="<%=opp4MngUsers %>&st=modifyPassword&email=<%=users.get(i).getLoginEncoded() %>" 
                                title="Modify settings for <%=users.get(i).getLogin() %>"
                                onclick="return hs.htmlExpand(this, { objectType: 'iframe'})"
                                ><i class="icon-note"></i></a> |
                                <a class="btn-sm btn-inverse btn-outline" href="<%=opp4MngUsers %>&st=ptru&email=<%=users.get(i).getLoginEncoded() %>" 
                                    title="Remove user account for <%=users.get(i).getLogin() %>"
                                    onclickXX="javascript:return confirm('This will delete the user and remove every backed up files. Are you sure?')"
                                    ><i class="icon-trash"></i></a>
                            </td>
                        </tr>

                        <%
                        }
                        %>
                      </tbody>
                   </table>
                  
                </div>
             </div>
          </div>
       </div>
	<%
     }else{
    	 %>
    	 
    	 <script>
    	 showdiv('addUserDiv');
    	 </script>
    	 <%
     }
    %>



<%@ include file="Footer.jsp"%>
