<%@page import="java.util.List, com.synametrics.syncrify.bean.*"%>

<%@ include file="Header.jsp"%>


<div class="content-heading">
    <i class="fa fa-trash"></i> Delete Retention Viewer 
   <small data-localize="dashboard.UserManagement"></small>
   <%@ include file="Breadcrumbs.jsp" %>
</div>


<%
String infoMsg = (String) request.getAttribute("infoMsg");
if(infoMsg != null){
	%>
	<div class="alert alert-info"><%=infoMsg %></div>
	<%
}
%>
<div class="row">
	<div class="<%=mainBodyColClass%>">
		<div class="panel panel-default">
            <div class="panel-heading">Delete Retention Viewer</div>
			<div class="panel-body">
            <%
            List<DeletionDataHolder> holders = (List<DeletionDataHolder>)request.getAttribute("holders");
            %>
            <p>Following files have been deleted from the client machine but are retained on the server. </p>
            <div class="table-responsice">                
            <table class="table table-hover">
                <tr><th align="right">User:</th><td><%= request.getAttribute("userName") %> (<%=request.getParameter("email") %>) 
                	<span class="pull-right"><a href="<%=response.encodeURL("app?operation=manageUsers&st=cleardr&email=" + request.getParameter("email")) %>" 
                	class="btn btn-primary" 
                	title="Permanently delete files that are retained on the server."
                	onclick="javascript:return confirm('This will permanently delete every retained file. Are you sure?')" >Delete All</a></span></td></tr>
                	
                <tr><th align="right">Deletion retention:</th><td><%= request.getAttribute("delRetention") %> day(s)</td></tr>
                <tr><th align="right">Total files/folders:</th><td><%= holders.size() %></td></tr>		
            </table>
            </div>


            <div class="table-responsice">   
            <table width="100%" class="table table-hover">
            <tr>
                <th>File Path</th>
                <th>Deletion Date</th>
                <th>File size</th>
            </tr>

            <%

            long totalDisk = 0;
            for(int i = 0; i < holders.size(); i++){

                if(holders.get(i).getFileSize() < 0){
                    totalDisk += (holders.get(i).getFileSize() * -1); //Value is in negative for directories.
                }else{
                    totalDisk += holders.get(i).getFileSize();
                }
                %>


                <tr>
                    <td><%=holders.get(i).getAbsolutePathTrimed(request.getParameter("email")) %></td>
                    <td><%=holders.get(i).getDeletionDateAsString() %></td>
                    <td><%=holders.get(i).getFileSizeAsString() %></td>
                </tr>
                <%
            }

            DeletionDataHolder gtHolder = new DeletionDataHolder();
            gtHolder.setFileSize(totalDisk);
            %>
                <tr>
                    <td colspan="3">&nbsp;</td>
                </tr>
                <tr>
                    <td colspan="2" align="right"><b>Total Disk Space Used:</b></td>
                    <td><%=gtHolder.getFileSizeAsString() %>
                </tr>
            </table>
                <p><b>Note:</b> Disk usage and last access date are updated after an actual backup is performed.</p>    
            </div>
            </div>
        </div>
    </div> 


<%@ include file="Footer.jsp"%>
